#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0xa6a73121, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x1f5a9a90, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x1499a79c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b9b4735, "drm_mode_probed_add" },
	{ 0x9e26357a, "drm_set_preferred_mode" },
	{ 0x6d42f567, "pwm_put" },
	{ 0x44ee048e, "regulator_disable" },
	{ 0xf93a99ee, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xdcad6877, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xc32cff05, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x455e5c00, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xd251e8de, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x28d0c4e8, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb75f3830, "drm_atomic_helper_check_plane_state" },
	{ 0x185227ef, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x3931cf78, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xe2fdb6a, "drm_dev_unplug" },
	{ 0x18743141, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x1d516ef9, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x5a739804, "drm_gem_fb_begin_cpu_access" },
	{ 0xed8ae2fc, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x9de8ebe5, "drm_gem_fb_end_cpu_access" },
	{ 0x3306242e, "drm_fb_xrgb8888_to_gray8" },
	{ 0x61911524, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8595dd66, "drm_fb_xrgb8888_to_mono" },
	{ 0x5f3752e3, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x38fa4b13, "regulator_enable" },
	{ 0x38152f90, "pwm_get" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x4f8da11, "__drm_atomic_helper_crtc_reset" },
	{ 0x86b2ef66, "__drm_gem_reset_shadow_plane" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0xe095454d, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x4b2d7a08, "drm_gem_shmem_dumb_create" },
	{ 0xc6c1dc42, "noop_llseek" },
	{ 0xbc90a654, "drm_read" },
	{ 0x8eff572e, "drm_poll" },
	{ 0xf45dce1f, "drm_ioctl" },
	{ 0x6c395f82, "drm_compat_ioctl" },
	{ 0xd11e2a23, "drm_gem_mmap" },
	{ 0xdd892398, "drm_open" },
	{ 0x52596fbb, "drm_release" },
	{ 0x18d02d9b, "drm_gem_fb_create_with_dirty" },
	{ 0x69d9d1ee, "drm_atomic_helper_check" },
	{ 0x18d12e8, "drm_atomic_helper_commit" },
	{ 0x92708b0, "drm_atomic_helper_connector_reset" },
	{ 0x1c5999b2, "drm_helper_probe_single_connector_modes" },
	{ 0xc12cd000, "drm_connector_cleanup" },
	{ 0x71cbb21c, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x6f0bf5f9, "drm_atomic_helper_connector_destroy_state" },
	{ 0xd5558d3e, "drm_encoder_cleanup" },
	{ 0x39b0602, "drm_crtc_cleanup" },
	{ 0x599737b4, "drm_atomic_helper_set_config" },
	{ 0x260d813f, "drm_atomic_helper_page_flip" },
	{ 0xe28bbbd, "drm_atomic_helper_update_plane" },
	{ 0xa94c7038, "drm_atomic_helper_disable_plane" },
	{ 0x7d358846, "drm_plane_cleanup" },
	{ 0x74ba0f5e, "drm_gem_begin_shadow_fb_access" },
	{ 0x23feee52, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe498d90, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x32b7e2b4, "__devm_drm_dev_alloc" },
	{ 0x21f81722, "device_get_match_data" },
	{ 0x3f0b2ac7, "device_property_read_u32_array" },
	{ 0xa8a9cf69, "device_property_read_u8_array" },
	{ 0xc9227d4f, "device_property_present" },
	{ 0x4c61ff78, "devm_gpiod_get_optional" },
	{ 0x3212e1eb, "devm_regulator_get" },
	{ 0x48bcfe7d, "devm_backlight_device_register" },
	{ 0xcf819577, "drmm_mode_config_init" },
	{ 0x16697039, "drm_universal_plane_init" },
	{ 0xb7cd4c5f, "drm_plane_enable_fb_damage_clips" },
	{ 0xe6190135, "drm_crtc_init_with_planes" },
	{ 0x4e7ea4b2, "drm_encoder_init" },
	{ 0xb7456f09, "drm_connector_init" },
	{ 0x2088573f, "drm_connector_attach_encoder" },
	{ 0x32d901cc, "drm_mode_config_reset" },
	{ 0x6b5c4dd3, "drm_dev_register" },
	{ 0x72a80cde, "drm_fbdev_shmem_setup" },
	{ 0x757bd0a5, "dev_err_probe" },
	{ 0xf7196435, "_dev_err" },
	{ 0x3d5f8492, "drm_mode_duplicate" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CFDA9634AF05C730D266647");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
