#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x13cd8610, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0xf83d6eea, "");
SYMBOL_CRC(cx25821_dev_unregister, 0xb7a0db8b, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x6391d2f7, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x77ba5502, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x1fe25bd0, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0xa95ef009, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1f5fa909, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd1533ee, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7d03fb94, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xca06eadb, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x624595fa, "vb2_plane_cookie" },
	{ 0x1b6972a4, "vb2_ioctl_dqbuf" },
	{ 0x63049cbb, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1211e2f2, "vb2_ioctl_prepare_buf" },
	{ 0xb9a8df7b, "dma_alloc_attrs" },
	{ 0x538876c5, "vb2_buffer_done" },
	{ 0x1ea3b446, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8eff0c1, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf1dc2879, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb0112052, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1a0db126, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4d025bc, "vb2_fop_read" },
	{ 0x7841b6ee, "v4l2_device_register" },
	{ 0xd08afdec, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x18095330, "dma_free_attrs" },
	{ 0xfc0534c6, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2898120, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xde60ab49, "vb2_ioctl_streamon" },
	{ 0x85ffbb7b, "vb2_fop_poll" },
	{ 0x5a657f85, "v4l2_ctrl_new_std" },
	{ 0xf50f2dad, "v4l2_ctrl_handler_free" },
	{ 0x62d277d1, "v4l2_device_unregister" },
	{ 0x31adcdba, "pci_disable_device" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0xfa63cf30, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e8f95d7, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x67a0abee, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x89b56481, "vb2_ioctl_reqbufs" },
	{ 0xc4709c96, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e9c84d7, "vb2_dma_sg_memops" },
	{ 0x9a131c55, "video_ioctl2" },
	{ 0x6d7d662f, "pci_enable_device" },
	{ 0x79b5b432, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2c9f638c, "vb2_ops_wait_finish" },
	{ 0x78fda945, "__pci_register_driver" },
	{ 0xde84bc8d, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x9dd4be29, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe58e8ab, "vb2_ioctl_querybuf" },
	{ 0x7de052b1, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfe7fb770, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
