#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x5216d786, "");
SYMBOL_CRC(video_device_release, 0x4685fd42, "");
SYMBOL_CRC(video_device_release_empty, 0x3e8f95d7, "");
SYMBOL_CRC(video_devdata, 0xfd1533ee, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xfc0534c6, "");
SYMBOL_CRC(video_unregister_device, 0x08eff0c1, "");
SYMBOL_CRC(video_device_pipeline_start, 0x92fd3cfb, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x67833c4d, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x61ee50ef, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x2ff69ae4, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xdebb9be0, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xd7661862, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x9a131c55, "");
SYMBOL_CRC(v4l2_device_register, 0x7841b6ee, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x482669aa, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0xa95c188a, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x466e7877, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x62d277d1, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0x2ee74d31, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x17f5b3fe, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x164ad921, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0xd5476c3e, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x6360a461, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x7de052b1, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xda8caa9a, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x8ebea307, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x21231d2d, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xd3db6263, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x9c040556, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x04d8c73d, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xae66c429, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x0b3502d3, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x97e12fea, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x2130f64e, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x06213e08, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x67a0abee, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x725385e0, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xbc986dba, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x006ac370, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x7b11356f, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x7afa9ab7, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xbb75c685, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xcb816a74, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x9c4e7a1d, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x49370e66, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x45abfb9c, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x9b58e6a9, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x53e80caf, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x424ecf97, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x56a39c8c, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0xb23ce7e5, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0x9ce1df0c, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0xe42d1615, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0x5b683fcb, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0xe83a19e4, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xa3fd30aa, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x711c9d0a, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x0e11a6ea, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x95c7dcb1, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x9650b55e, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x0b65b492, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x0a48f8fd, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x8a27f740, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0xfd290edb, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0xababa9a5, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x22dffe38, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xa98d5a0a, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0xeb6cb399, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x67b8a638, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x4ef19a8f, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0xa8bcc267, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x5da6b3fc, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xac90ef98, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x9a24341b, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xaccb854f, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xdf6830c4, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0xde84bc8d, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xf50f2dad, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xd6b25cd3, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0xa6bc48e2, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x5a657f85, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x22771176, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0xd3df50c6, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0xae14ade5, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x774f77c5, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xa50e94c1, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x7294aa4f, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x24aa4fb3, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xae6d2c27, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x4a429d5d, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x13b2acb7, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x624736ff, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x1f5fa909, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0x46a84f0d, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0xc2899079, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xcf8929b0, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xbea198b6, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xfca5bf8f, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x7220ff9e, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x7b25a093, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xd151766f, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xfd5e2459, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x931aba52, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x689cd6e6, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xe459aa2a, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xc7bfdee5, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xadbc2efd, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xf53f69d2, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x00b9c027, "");
SYMBOL_CRC(v4l2_queryctrl, 0xce1bad63, "");
SYMBOL_CRC(v4l2_querymenu, 0xe9704794, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x6027924c, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xa4f09521, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xb1f46496, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x1ea3b446, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x83ee84a7, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x13ef816e, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xc179705a, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xa5f61245, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x04c8bb27, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xba2c67de, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0xdfec555a, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xa81e1293, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x6bbb3bb1, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x5f4d2077, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x31422053, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x099cd68b, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xb42f8baa, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x1a1f9e0e, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xe28be408, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x22a8a621, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x115a590e, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x39ccce84, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xa350e0ff, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0xaf26ed57, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0xbce737e2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xfbaff312, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x348328a4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x98b6281c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xbb049538, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x65be5a2f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0xff1760a1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x0d2dbbf2, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x40a54932, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x1af5519e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x6b2221f3, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x2e8920a2, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xac308c33, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xba5d6feb, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x22390032, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7defb615, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x20d6371a, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x1a7786cb, "media_pipeline_start" },
	{ 0xa5c4f2d1, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3fe46234, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe6e93552, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x8ef9274b, "led_set_brightness" },
	{ 0x856a8938, "media_graph_walk_start" },
	{ 0xa7352aa3, "media_devnode_create" },
	{ 0x757bd0a5, "dev_err_probe" },
	{ 0xa5adaa7e, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xc9248e28, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa822dfa8, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb307c89e, "class_register" },
	{ 0xe003c177, "led_sysfs_disable" },
	{ 0xefbd1f51, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbc59ac14, "pci_bus_type" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x7f1e5dff, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x421254c4, "cdev_alloc" },
	{ 0x83a961e5, "media_devnode_remove" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0x653a884c, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb946c878, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x92f8369c, "led_sysfs_enable" },
	{ 0x45ebaf96, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x94272a86, "fwnode_graph_get_remote_endpoint" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0x30667efc, "spi_unregister_device" },
	{ 0x7890ceff, "device_unregister" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5cc3b6c5, "media_request_object_unbind" },
	{ 0x3d4fcfb8, "led_put" },
	{ 0x64b3e71d, "led_trigger_remove" },
	{ 0x92d9bd36, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4ab99afc, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xb9121c3c, "fwnode_graph_get_port_parent" },
	{ 0x92368f7a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1fac3fe0, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x19b8a100, "media_create_intf_link" },
	{ 0xd047d346, "media_create_pad_link" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6aecaa37, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc637870e, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c5d1e8, "put_device" },
	{ 0x9ea4b7f5, "i2c_new_scanned_device" },
	{ 0x96dde96, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2d34f838, "media_request_object_put" },
	{ 0x968b9681, "module_put" },
	{ 0xb1678692, "media_pipeline_alloc_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x28f8777a, "media_device_register_entity" },
	{ 0x86d48571, "media_request_get_by_fd" },
	{ 0x36f9bae8, "cdev_add" },
	{ 0xb678a82b, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf97345cc, "perf_trace_run_bpf_submit" },
	{ 0xf7196435, "_dev_err" },
	{ 0x5ad32b63, "i2c_unregister_device" },
	{ 0xeda59e3e, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x240b23b, "spi_new_device" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc1b91c4e, "media_request_object_bind" },
	{ 0x4dffca8b, "class_unregister" },
	{ 0x8c10c7c0, "media_graph_walk_next" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "CD21D08A91D3DA2B596D5F5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
