#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x4fcbe8ed, "");
SYMBOL_CRC(prestera_device_unregister, 0x65bacfa5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf43f90f6, "eth_type_trans" },
	{ 0x3b1e790a, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0x3a738e0b, "napi_complete_done" },
	{ 0x12de9266, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xd233ef16, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x97302acf, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x37eb4da2, "__alloc_skb" },
	{ 0xd2f283f7, "switchdev_bridge_port_offload" },
	{ 0xba3fbcd9, "flow_block_cb_incref" },
	{ 0x844445f8, "flow_rule_match_ports_range" },
	{ 0x73a171f, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x42f47d9f, "free_fib_info" },
	{ 0xc6c31899, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7279d43, "vlan_dev_real_dev" },
	{ 0x60eec6fb, "__dev_get_by_index" },
	{ 0xbf269958, "devlink_port_unregister" },
	{ 0xf7196435, "_dev_err" },
	{ 0xd03eb43e, "init_net" },
	{ 0x78ce4bf3, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x984a233f, "flow_block_cb_decref" },
	{ 0x118936d2, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xe7a8cc69, "napi_enable" },
	{ 0x79ae9b13, "register_netdev" },
	{ 0xc7b5ce6e, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb24ed5fa, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcecf1efd, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xa3941df9, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x6dacbc73, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xda04f39e, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x700f7cd4, "devlink_trap_report" },
	{ 0xe601b1d8, "__neigh_event_send" },
	{ 0xd046d5e2, "flow_block_cb_alloc" },
	{ 0x29b9ad0c, "switchdev_handle_port_obj_add" },
	{ 0xf51e6c90, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0x9bd37b0, "__neigh_create" },
	{ 0x29c66f8d, "netdev_walk_all_upper_dev_rcu" },
	{ 0x6ec446c, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x19e8d640, "alloc_netdev_dummy" },
	{ 0xf61812a3, "neigh_destroy" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x758ff7b9, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a1707a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x667798a8, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x3df586f1, "netdev_master_upper_dev_get_rcu" },
	{ 0xdc8930f7, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xdb6b7e95, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a71e90f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd0598993, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x22d22bca, "devlink_priv" },
	{ 0xc5c055ff, "devlink_port_register_with_ops" },
	{ 0xb1af7490, "netif_carrier_on" },
	{ 0x106365bc, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xd6b606f5, "devlink_trap_groups_register" },
	{ 0xddac1e74, "arp_tbl" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xceec0946, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd912a79, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x55ec102e, "napi_schedule_prep" },
	{ 0xc849bd2a, "__fib_lookup" },
	{ 0x7c6db5fe, "napi_disable" },
	{ 0xa63370d7, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x60cd28fe, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xca1d8a29, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xb7f43789, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ba2e585, "alloc_etherdev_mqs" },
	{ 0x98b1ef51, "netdev_lower_get_next" },
	{ 0x62324f6c, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcb75b692, "br_vlan_enabled" },
	{ 0x5b498d63, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1f0e6df5, "devlink_unregister" },
	{ 0x5ca33441, "dma_pool_create" },
	{ 0xd865579f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbf7fa17, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcfa13ab7, "register_fib_notifier" },
	{ 0xfdec6c17, "l3mdev_fib_table_rcu" },
	{ 0x59215e27, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3d71e4e7, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x60ed0a4c, "flow_rule_match_eth_addrs" },
	{ 0xc74d940f, "devlink_port_attrs_set" },
	{ 0xb168f1a1, "flow_block_cb_priv" },
	{ 0xbfad2ec0, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x775fd3a2, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xa6342e5b, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xeae1573a, "devlink_free" },
	{ 0x38c14dfb, "netdev_warn" },
	{ 0xec8456f6, "flow_rule_match_ipv4_addrs" },
	{ 0x54ca7a0e, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xdd41212b, "fib_table_lookup" },
	{ 0x8b731639, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x89da407f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x143c6fce, "pskb_expand_head" },
	{ 0xd4827e8d, "switchdev_handle_port_attr_set" },
	{ 0xdff0a47e, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x61911524, "dev_driver_string" },
	{ 0xa9e7ecd7, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
