#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x4c6ebde8, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x41012621, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x924d14dd, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xa198abb8, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x8153cced, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x7bc7fb24, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x71cc4df3, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xdce4e9f0, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xa723adfa, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x52c9422a, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x04da58ad, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xed729bf3, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x24b4e081, "_gpl");
SYMBOL_CRC(usbnet_open, 0x8599fcc2, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x1ab50408, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xba76a4d7, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xf84c7a71, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xe01b5601, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x2e0128fa, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x69168a71, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x4b6319b1, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x0291ebef, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x5bedf265, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xe0666405, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xe76639cc, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xe6914e95, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x69b34842, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x381c4d06, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x4d1df359, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x040ab665, "");
SYMBOL_CRC(usbnet_manage_power, 0xc399a637, "");
SYMBOL_CRC(usbnet_link_change, 0x831f90f3, "");
SYMBOL_CRC(usbnet_read_cmd, 0x54ec6585, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x2a549e3c, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xa78fd834, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xb8be1450, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x4a5a956f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x502b746d, "usb_set_interface" },
	{ 0x45022fa1, "usb_string" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xa9e7ecd7, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdd4db44b, "netif_rx" },
	{ 0xf43f90f6, "eth_type_trans" },
	{ 0x8bad747d, "skb_queue_tail" },
	{ 0x858838c9, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a6be002, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x22fd42e5, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xccca7233, "usb_unlink_urb" },
	{ 0xec89cd05, "usb_free_urb" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x515706b3, "usb_submit_urb" },
	{ 0x89da407f, "netdev_err" },
	{ 0x7c386a89, "mii_ethtool_get_link_ksettings" },
	{ 0x8e4d5eb1, "mii_ethtool_set_link_ksettings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7a5440a8, "mii_link_ok" },
	{ 0xcecf1efd, "ethtool_op_get_link" },
	{ 0x8c064f8d, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d71e4e7, "unregister_netdev" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0x42846bde, "usb_get_from_anchor" },
	{ 0xb6b8415f, "usb_kill_urb" },
	{ 0xb24ed5fa, "free_netdev" },
	{ 0x5903ded8, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe203e3ea, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa4995b12, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x25e21c6, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfd620cbb, "usb_autopm_get_interface" },
	{ 0x6078ece4, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5f03b75a, "usb_alloc_urb" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xa1d811ea, "usb_autopm_put_interface_async" },
	{ 0xb1af7490, "netif_carrier_on" },
	{ 0x9a71e90f, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x578e7ef3, "skb_dequeue" },
	{ 0x4ba2e585, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x79ae9b13, "register_netdev" },
	{ 0xc21b200e, "pm_runtime_enable" },
	{ 0xf7f2ceff, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbebbf04f, "usb_autopm_get_interface_async" },
	{ 0xfe3aece5, "skb_tstamp_tx" },
	{ 0xa63370d7, "dev_kfree_skb_any_reason" },
	{ 0x505c86be, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae348f45, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x91356a73, "netif_tx_wake_queue" },
	{ 0xaa7253bf, "usb_autopm_get_interface_no_resume" },
	{ 0xd865579f, "skb_put" },
	{ 0x8d8ac1d6, "usb_clear_halt" },
	{ 0xdf180271, "eth_mac_addr" },
	{ 0x261fbcc4, "eth_validate_addr" },
	{ 0x793a15c5, "ethtool_op_get_ts_info" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "17BD597195840FF5B32BAEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
