#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x378ba878, "");
SYMBOL_CRC(ndlc_close, 0x59cdadd6, "");
SYMBOL_CRC(ndlc_send, 0x93c28f57, "");
SYMBOL_CRC(ndlc_recv, 0xb90858cb, "");
SYMBOL_CRC(ndlc_probe, 0x4a74d4d6, "");
SYMBOL_CRC(ndlc_remove, 0xeba26df9, "");
SYMBOL_CRC(st_nci_probe, 0xf4105d75, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x08abd33a, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x5c22f600, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xc121fe69, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0xe6793f55, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x989f976f, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xdb0d8f90, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xcd7060f6, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x5a3df3d3, "");
SYMBOL_CRC(st_nci_se_init, 0x294d2a91, "");
SYMBOL_CRC(st_nci_se_deinit, 0xf77d37a7, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x899b16be, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe0f36109, "nfc_se_transaction" },
	{ 0xf7196435, "_dev_err" },
	{ 0x78ce4bf3, "skb_pull" },
	{ 0xbaa6fada, "nci_hci_connect_gate" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x118936d2, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x2f1734aa, "nci_prop_cmd" },
	{ 0xb35a5d60, "nci_core_conn_create" },
	{ 0x349139f2, "nci_nfcc_loopback" },
	{ 0x82ea9014, "nci_unregister_device" },
	{ 0x8c366532, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeaf5a1f7, "nci_hci_send_event" },
	{ 0x152e995e, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54fc36ea, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5cb6dc6, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x1131d835, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x36bb54e7, "nci_recv_frame" },
	{ 0x1208a55e, "nci_hci_dev_session_init" },
	{ 0xf7b81bf5, "nci_hci_set_param" },
	{ 0xc0051b97, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd707b521, "skb_queue_head" },
	{ 0x2fe1b225, "nci_free_device" },
	{ 0xe5f3f0be, "nci_allocate_device" },
	{ 0xda40037f, "nci_register_device" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0xedfcc01e, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1fbf657c, "nfc_add_se" },
	{ 0x578e7ef3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc5ffcf4f, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a6be002, "skb_queue_purge_reason" },
	{ 0x2f131dbe, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa9d90e8a, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bad747d, "skb_queue_tail" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
