#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x0df4b83a, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xdcdaa07c, "");
SYMBOL_CRC(dccp_v4_send_check, 0xb7a78d96, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x8df16bb8, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xc514600f, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x5edb4acf, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xc29a8175, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x17c264b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ffd6507, "dccp_reqsk_send_ack" },
	{ 0x213d7b05, "inet_lookup_reuseport" },
	{ 0x56816f4d, "__inet_lookup_listener" },
	{ 0x31200745, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x19e612b7, "__skb_ext_del" },
	{ 0x15b409d5, "sock_common_getsockopt" },
	{ 0xf77ccc69, "inet_bind" },
	{ 0xd85a7fb0, "__inet_inherit_port" },
	{ 0xbac181f9, "inet_dccp_listen" },
	{ 0x8e3a0191, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xba55625e, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xcb0546dc, "__xfrm_policy_check" },
	{ 0x2c3dfe38, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x90221573, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3a35bb9, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47d353a, "sk_error_report" },
	{ 0x5acf2020, "register_pernet_subsys" },
	{ 0xf2a3c159, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb3a28a73, "inet_getname" },
	{ 0xf571919, "inet_stream_connect" },
	{ 0xeef7fa41, "proto_unregister" },
	{ 0x1f2a2fe5, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4a4bff52, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x609582ac, "dccp_done" },
	{ 0x1617badb, "inet_release" },
	{ 0x5ba15a18, "__sk_dst_check" },
	{ 0x8e9d5d0b, "dccp_disconnect" },
	{ 0xdec7255c, "ip_route_output_key_hash" },
	{ 0xbc88f38b, "proto_register" },
	{ 0x9427fbf7, "inet_hash" },
	{ 0xcdbd2f54, "__sk_receive_skb" },
	{ 0xe6bdfa26, "dccp_poll" },
	{ 0xce7402c3, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x81656a7, "inet_csk_get_port" },
	{ 0xdf14bc38, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x54d85843, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x2aa39f01, "inet_accept" },
	{ 0x4be59177, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x72216442, "ip6_mtu" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xa3652be1, "inet_add_protocol" },
	{ 0x1a85fd5b, "inet_shutdown" },
	{ 0x8f752b2c, "sk_free" },
	{ 0x5b6c1751, "dccp_close" },
	{ 0x906251c4, "dccp_reqsk_init" },
	{ 0xb70618a1, "inet_hash_connect" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0xda06229f, "inet_csk_route_child_sock" },
	{ 0xe9663a62, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2153fbf0, "security_sk_classify_flow" },
	{ 0x9afff59d, "inet_csk_update_pmtu" },
	{ 0xf3757dd4, "dccp_getsockopt" },
	{ 0x35446cb, "dccp_parse_options" },
	{ 0xf578cfa5, "unregister_pernet_subsys" },
	{ 0xc4fde87, "skb_checksum" },
	{ 0xf8d3b1ef, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d586a14, "sock_no_mmap" },
	{ 0xda04f39e, "__pskb_pull_tail" },
	{ 0x419405bd, "dccp_child_process" },
	{ 0xc35b4bbf, "sock_common_recvmsg" },
	{ 0x6599b596, "dccp_setsockopt" },
	{ 0x295ac6b8, "dccp_ioctl" },
	{ 0x6389970f, "inet_sk_rebuild_header" },
	{ 0xe4b9e4d4, "inet_del_protocol" },
	{ 0x8b59983f, "ipv4_mtu" },
	{ 0xc837fdde, "dccp_recvmsg" },
	{ 0x37c13f94, "inet_sendmsg" },
	{ 0xf66090bb, "dccp_check_req" },
	{ 0xf4647946, "dccp_create_openreq_child" },
	{ 0x4f8ef4c4, "inet_csk_prepare_forced_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1f72e040, "security_skb_classify_flow" },
	{ 0x944b181c, "sock_pfree" },
	{ 0x319fb3a8, "dccp_rcv_established" },
	{ 0xf84aeab5, "dccp_send_sync" },
	{ 0xa848f07b, "dst_release" },
	{ 0x5fc91399, "sock_release" },
	{ 0x2414ec1c, "dccp_make_response" },
	{ 0xa5d2b59d, "dccp_destroy_sock" },
	{ 0xef27630f, "dccp_ctl_make_reset" },
	{ 0x9357f82a, "sock_gettstamp" },
	{ 0x2829049d, "sk_setup_caps" },
	{ 0x5de85c6c, "ip_build_and_send_pkt" },
	{ 0xd1e4d06a, "dccp_sendmsg" },
	{ 0x1cc2f490, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xe7505122, "inet_twsk_put" },
	{ 0xe86b8aae, "inet_unhash" },
	{ 0xe5c11ff7, "ip_getsockopt" },
	{ 0x62afa969, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2f6a2965, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xb180445e, "inet_csk_reqsk_queue_drop" },
	{ 0x528eead8, "__inet_lookup_established" },
	{ 0x94e52299, "inet_bhash2_reset_saddr" },
	{ 0xcf7f10dc, "inet_csk_addr2sockaddr" },
	{ 0xaf8728bb, "inet_unregister_protosw" },
	{ 0xe316f067, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3564d8d2, "dccp_shutdown" },
	{ 0x6726e12b, "inet_bhash2_update_saddr" },
	{ 0xcc82bd33, "dccp_connect" },
	{ 0x4a416fc7, "dccp_rcv_state_process" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
