#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xfe4b8143, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xe2b88e52, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x3909c660, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x3d2f8be2, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x835faca1, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x9d2b2190, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xa641690e, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x5c82d3d2, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x7b695fde, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x9cc81c17, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x5d856328, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x524f902d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xea79dc66, "gro_cells_init" },
	{ 0x1fe195a3, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d96f6a7, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xd03eb43e, "init_net" },
	{  0xfdc7a, "alloc_netdev_mqs" },
	{ 0x79ae9b13, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xb24ed5fa, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xda04f39e, "__pskb_pull_tail" },
	{ 0x88f1cde6, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xaab04379, "netdev_state_change" },
	{ 0x4b0692dd, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc0352b42, "make_kuid" },
	{ 0xb4cb28d0, "ip6_redirect" },
	{ 0x219d96db, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfcff21f5, "ip6_route_output_flags" },
	{ 0x9aa0d515, "xfrm_lookup" },
	{ 0x72216442, "ip6_mtu" },
	{ 0x564b5878, "skb_scrub_packet" },
	{ 0xd0df443, "skb_realloc_headroom" },
	{ 0xc35594a9, "skb_set_owner_w" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0xb8a8a5bb, "ipv6_push_frag_opts" },
	{ 0x118936d2, "skb_push" },
	{ 0xfd763232, "ip6_local_out" },
	{ 0x4a400e7d, "dst_cache_get" },
	{ 0x2f17d8d6, "skb_copy_bits" },
	{ 0xb54120cd, "dst_cache_set_ip6" },
	{ 0x3e6b34f6, "ipv6_dev_get_saddr" },
	{ 0x386410c8, "ip6_dst_hoplimit" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8b59983f, "ipv4_mtu" },
	{ 0xf61812a3, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0xc2db4446, "iptunnel_handle_offloads" },
	{ 0xc2f0f39a, "icmpv6_ndo_send" },
	{ 0xf70b0b99, "icmp_ndo_send" },
	{ 0x6235d82e, "skb_clone" },
	{ 0x78ce4bf3, "skb_pull" },
	{ 0xf2a3fa78, "icmp6_send" },
	{ 0x90221573, "ip_route_output_flow" },
	{ 0x45ba3d30, "ip_route_input_noref" },
	{ 0x8f582d4f, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x20053ae1, "gro_cells_receive" },
	{ 0xf43f90f6, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf9d47bc7, "__iptunnel_pull_header" },
	{ 0x944e37, "metadata_dst_alloc" },
	{ 0xcb0546dc, "__xfrm_policy_check" },
	{ 0x19e612b7, "__skb_ext_del" },
	{ 0xd6a78430, "dev_get_tstats64" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcdae3b0a, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x628aef27, "ipv6_chk_addr_and_flags" },
	{ 0x83bbf9b7, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xaefb40b3, "register_pernet_device" },
	{ 0x40e08842, "xfrm6_tunnel_register" },
	{ 0xa1d1b9cc, "rtnl_link_register" },
	{ 0x5150cf6e, "xfrm6_tunnel_deregister" },
	{ 0x14caf36, "unregister_pernet_device" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x948ce974, "unregister_netdevice_queue" },
	{ 0xa9e7ecd7, "dev_addr_mod" },
	{ 0xe7e7ba0b, "rt6_lookup" },
	{ 0xa848f07b, "dst_release" },
	{ 0x60eec6fb, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "64A3E46B6538E4E177AAFF9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
