#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x17b610e2, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x05034b90, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x0b658a58, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x54d5f3bd, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x4c6c83b0, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x1d434466, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x012a0cbf, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x20f82106, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x20bfd21c, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x99f5f93e, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xcfb71640, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xb01ee97e, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x227960ca, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xb088ceff, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x67170a54, "");
SYMBOL_CRC(nf_nat_follow_master, 0x0663dc65, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xc26bffcf, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xe6a15691, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x5048b35a, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xe5c8df97, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xa1a89822, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x60f37e9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x143c6fce, "pskb_expand_head" },
	{ 0x5acf2020, "register_pernet_subsys" },
	{ 0xd96d0534, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f5be02d, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2eed7370, "ipv6_skip_exthdr" },
	{ 0xfade9f3a, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x968b9681, "module_put" },
	{ 0x3e6b34f6, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x229c6c62, "nf_ct_expect_related_report" },
	{ 0x7835d8d, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85906fcc, "nf_hook_entries_delete_raw" },
	{ 0xed72ef85, "skb_ensure_writable" },
	{ 0x49a00359, "nf_unregister_net_hooks" },
	{ 0xc3fe557e, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xf578cfa5, "unregister_pernet_subsys" },
	{ 0xc4fde87, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb40d9539, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7336905e, "nf_ip_checksum" },
	{ 0x8531dca2, "register_btf_kfunc_id_set" },
	{ 0x84c9d558, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xf16ac3db, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7e0e080, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9887743, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbad433bb, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa848f07b, "dst_release" },
	{ 0xa79f5115, "nf_ct_l4proto_find" },
	{ 0x23beb62a, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x8a2266db, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x50e22db2, "nf_ct_ext_add" },
	{ 0x1e83dd8f, "__do_once_done" },
	{ 0xadcb7e8, "nf_conntrack_find_get" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x92752abc, "nf_ip6_checksum" },
	{ 0x2f17d8d6, "skb_copy_bits" },
	{ 0x725faba2, "nf_hook_entries_insert_raw" },
	{ 0x9aa0d515, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x297ea604, "nf_ct_seqadj_set" },
	{ 0xd865579f, "skb_put" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xce8c5c9c, "nf_ct_helper_expectfn_unregister" },
	{ 0x6a1be875, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x27ac7e1e, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x768b7816, "ip6_route_me_harder" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "338815E3818089489F0F73E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
