#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x52842c16, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xd62efa12, "_gpl");
SYMBOL_CRC(tls_get_record, 0x0033a15d, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x6643c6cc, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x2af1b5c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x37eb4da2, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xbbf90e5f, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x731a665e, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x952f348b, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xce8ed679, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf97345cc, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x88ffee64, "crypto_aead_encrypt" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0x5f984b53, "__SCK__tp_func_sk_data_ready" },
	{ 0x7685e137, "bpf_trace_run5" },
	{ 0x8f752b2c, "sk_free" },
	{ 0x5c425dec, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7aa2d825, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe260074b, "sk_stream_wait_memory" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0xd72efcaa, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xaf02b045, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe8a3ef71, "lock_sock_nested" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0x155d75d1, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x64fed310, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xac3c840b, "bpf_trace_run1" },
	{ 0x6532ccf, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf578cfa5, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4398f8be, "sock_efree" },
	{ 0x7ab51866, "iov_iter_bvec" },
	{ 0x70982e03, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xce5b9ee8, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x5e51781c, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0x91549e8d, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xb1935d26, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x40496d04, "tcp_register_ulp" },
	{ 0x7de64e61, "bpf_trace_run3" },
	{ 0x24bb435, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6bc67a8e, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xedb39256, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdc1d3f03, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x660ac86c, "remove_proc_entry" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x66454354, "seq_printf" },
	{ 0x96d50349, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6235d82e, "skb_clone" },
	{ 0xa848f07b, "dst_release" },
	{ 0xcd325556, "_copy_from_iter" },
	{ 0x9033f23d, "skb_copy_header" },
	{ 0xff6a31b9, "sk_msg_trim" },
	{ 0x948d21e0, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xe9422b90, "netdev_sk_get_lowest_dev" },
	{ 0xf41e3d5b, "sk_msg_alloc" },
	{ 0xf0354951, "_copy_from_iter_nocache" },
	{ 0xea0f2b4f, "tcp_rate_check_app_limited" },
	{ 0xab1a2e88, "tcp_poll" },
	{ 0x8e51a6d0, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5b46f869, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x582c5322, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0xd4fab690, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x1c4f3c35, "tcp_read_done" },
	{ 0x80decf73, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb59a8635, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7474b6eb, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd1cae825, "tcp_read_sock" },
	{ 0x5bfd6ab2, "bpf_trace_run4" },
	{ 0x2f17d8d6, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25754f25, "sk_page_frag_refill" },
	{ 0xd865579f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x634b7594, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7e1a7a14, "sk_psock_msg_verdict" },
	{ 0xf0fd2e65, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfde602fb, "iov_iter_get_pages2" },
	{ 0x4b3c76b5, "___pskb_trim" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6324958f, "clean_acked_data_enable" },
	{ 0xaf07ff6b, "skb_splice_bits" },
	{ 0x15829054, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd5911aa, "__tracepoint_sk_data_ready" },
	{ 0xf647a9d7, "crypto_aead_setauthsize" },
	{ 0x6ff33a38, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5f1e524d, "sk_stream_error" },
	{ 0xd12285c4, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70eff6ec, "sk_msg_memcopy_from_iter" },
	{ 0x47d353a, "sk_error_report" },
	{ 0x5acf2020, "register_pernet_subsys" },
	{ 0xfa1818d9, "put_cmsg" },
	{ 0xc1bb1f9, "__sk_flush_backlog" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x7420ab79, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x87e7da75, "sk_psock_tls_strp_read" },
	{ 0xede75de0, "sk_msg_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DCC02F1A3637BF9A4EE058");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
