#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_pending, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x2aff87a5, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xcbde7db4, "");
SYMBOL_CRC(wiphy_register, 0x2aaa9618, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x9e6b9d66, "");
SYMBOL_CRC(wiphy_unregister, 0x8dfcac60, "");
SYMBOL_CRC(wiphy_free, 0x4172077e, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x29290bfb, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x8d829c96, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x2e171143, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0xecc2ac40, "");
SYMBOL_CRC(wiphy_work_queue, 0x52c798c1, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x50db4ff3, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x7cab7d64, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x9eb27239, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x8411fd6c, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x4cdbefaf, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_pending, 0xdcd6538a, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0xb3f40e25, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x57e81fc4, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x1e7897ce, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x3a5d9b9f, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x833d88fc, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x5c60f56d, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x6c703042, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xa0f515ec, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xd63cdedc, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x0537634a, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x15bebfba, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x83513d0e, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xf5c5a523, "");
SYMBOL_CRC(cfg80211_get_station, 0xfbe12b1c, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x15e9c65f, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x3d32d18c, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xea447ec4, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0x53382dce, "");
SYMBOL_CRC(get_wiphy_regdom, 0x1a471e87, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x220ded7f, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x661a5cde, "");
SYMBOL_CRC(regulatory_hint, 0x627a37b4, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x0d163b40, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xd82cc565, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x0427d1e1, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x113e6eba, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x7ec0d48a, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x5572375a, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xb16ed849, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x5644b04b, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x4a3450c8, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x9c15fbb2, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0xb96445df, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x37eb7927, "");
SYMBOL_CRC(cfg80211_put_bss, 0x27cf5d3b, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x54ef63b1, "");
SYMBOL_CRC(cfg80211_bss_iter, 0xff052044, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0xfe0b246e, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0xafd8a4df, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0x9114e6b6, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x19168af9, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x01bbfe60, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xca4e4be2, "");
SYMBOL_CRC(cfg80211_nan_match, 0x938c4f7f, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xd2b9b6e2, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xc91bcb01, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x9d1e03f4, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x453c0220, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x61c0a79a, "");
SYMBOL_CRC(cfg80211_links_removed, 0x53105e00, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xd4c30acd, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x22e1135d, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x16be653d, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x2b6cb03b, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0xfa8a986c, "");
SYMBOL_CRC(cfg80211_new_sta, 0xdc60be21, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xce3de79b, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x21d26f6a, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xc2bdb95f, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0xdbecba0b, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xc2801579, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xae88d2f6, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x71c9ae72, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x2c35e377, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x7ed28adc, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xd0cdab39, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x7b9758fe, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xc71768d5, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xd35345d6, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xaec724b2, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x77f588c6, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x7d29e893, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xbf0f691d, "");
SYMBOL_CRC(cfg80211_probe_status, 0xcd4d981a, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xd8c70324, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x2db0c6a6, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xff1c77cc, "");
SYMBOL_CRC(cfg80211_ft_event, 0x0583be28, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x99a1b0f8, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xa1ec53e6, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x5b8c6b7a, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0xfe961a04, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x245d010b, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x77bd7bf0, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x7bf210aa, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x7b412cf6, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x45a262ac, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x071b8030, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x54e8f149, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xfd026e18, "");
SYMBOL_CRC(cfg80211_cac_event, 0x3df0e24c, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x07c72332, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x0f56852a, "");
SYMBOL_CRC(cfg80211_connect_done, 0xa19a254f, "");
SYMBOL_CRC(cfg80211_roamed, 0xf6758dd1, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x35c2e6a3, "");
SYMBOL_CRC(cfg80211_disconnected, 0x1879de0d, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x0f415d71, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xe8453d07, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0xfd803f38, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x2168b537, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0x7481f0ab, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xa19ffef9, "");
SYMBOL_CRC(wdev_chandef, 0x4e42dc43, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0xd0e2f873, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xab338689, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xb3e02f0e, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0xd94d05fd, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0xaeab77ec, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0xb2fcbc35, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0x88c89a10, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x49e3cf42, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0x72497413, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0xa82a2381, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0xb47de858, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0xa1cb45bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe027cd78, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xda04f39e, "__pskb_pull_tail" },
	{ 0xdd4db44b, "netif_rx" },
	{ 0xae348f45, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91549e8d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7de64e61, "bpf_trace_run3" },
	{ 0x7e0e080, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4681bba0, "get_net_ns_by_pid" },
	{ 0x8c89ec8a, "debugfs_rename" },
	{ 0x70b4de52, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5fc91399, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xcb3870d9, "genl_unregister_family" },
	{ 0x64f8ef69, "skb_add_rx_frag_netmem" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0xec80f5f9, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0x9ad0d4f0, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x387faaf1, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaefb40b3, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb52bacb, "get_net_ns_by_fd" },
	{ 0xb307c89e, "class_register" },
	{ 0x24cc7801, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x88f1cde6, "register_netdevice" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x9d6721d9, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0x5bfd6ab2, "bpf_trace_run4" },
	{ 0x2f17d8d6, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xd865579f, "skb_put" },
	{ 0x25f2b2c8, "kmemdup_array" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x45ebaf96, "dev_set_name" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xf0fd2e65, "bpf_trace_run6" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x50ddf263, "device_initialize" },
	{ 0x16a8ff75, "genlmsg_put" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x92368f7a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe386a93, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x948ce974, "unregister_netdevice_queue" },
	{ 0xb8250994, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x15b63963, "netlink_broadcast_filtered" },
	{ 0xce9c8c97, "keyring_alloc" },
	{ 0x89da407f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0c584e0, "device_rename" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0xf43f90f6, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1c5d1e8, "put_device" },
	{ 0x20938bf, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x37eb4da2, "__alloc_skb" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5a50b0fc, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x81656a7, "inet_csk_get_port" },
	{ 0x953ba37f, "key_put" },
	{ 0x272dbece, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x60eec6fb, "__dev_get_by_index" },
	{ 0xf97345cc, "perf_trace_run_bpf_submit" },
	{ 0xd03eb43e, "init_net" },
	{ 0x1664b1ad, "request_firmware_nowait" },
	{ 0x78ce4bf3, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacfb3069, "device_add" },
	{ 0xc5e80020, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d04d660, "init_uts_ns" },
	{ 0xd18c33a3, "platform_device_unregister" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0xde972a23, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xda18c98c, "dev_get_by_index" },
	{ 0x7685e137, "bpf_trace_run5" },
	{ 0xcfa21ab6, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x118936d2, "skb_push" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfb7d439e, "wireless_send_event" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4dffca8b, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x14caf36, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9136ff50, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xac3c840b, "bpf_trace_run1" },
	{ 0xe7ddf62b, "device_del" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "9D88AF93FA32691E2551A29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
