#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(sof_skl_ops, 0x08550d3e, "");
SYMBOL_CRC(sof_skl_ops_init, 0xd83e2081, "");
SYMBOL_CRC(skl_chip_info, 0x0ce9832e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7649920, "hda_dsp_disable_interrupts" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9a163284, "hda_power_down_dsp" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0xfe7fb770, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4165fff1, "hda_dsp_enable_core" },
	{ 0x3fab83bc, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa44797a4, "sof_hda_common_ops" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f21ba15, "hda_dsp_core_run" },
	{ 0x5dab3a6, "hda_dsp_core_stall_reset" },
	{ 0xbb3aaf47, "hda_pci_intel_probe" },
	{ 0x6410a7b1, "hda_ipc4_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8695587, "snd_sof_dsp_dbg_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf7196435, "_dev_err" },
	{ 0x6e97905c, "hda_dsp_core_reset_power_down" },
	{ 0x3790428e, "sof_pci_remove" },
	{ 0xf2659261, "hda_set_dai_drv_ops" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd3662774, "snd_sof_dsp_update_bits" },
	{ 0xaa80c654, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x947b5802, "hda_dsp_check_ipc_irq" },
	{ 0x6ef62ffb, "hda_dsp_ipc4_irq_thread" },
	{ 0xad6cc900, "hda_ops_free" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x123de4f2, "sof_pci_shutdown" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7930214e, "snd_soc_acpi_intel_skl_machines" },
	{ 0xb3b3dd67, "sof_pci_pm" },
	{ 0x69c80e6d, "hda_dsp_ipc4_send_msg" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0xc2ecb7dc, "hda_dsp_core_is_enabled" },
	{ 0xb526c207, "snd_dma_alloc_dir_pages" },
	{ 0x33a8d040, "hda_dsp_shutdown" },
	{ 0x550af973, "snd_soc_acpi_intel_kbl_machines" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78fda945, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-pcm,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "639BF20243D55EEC92B9962");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
