#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_pata_type, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0x73bc3d92, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x4a802e29, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0xb1943e36, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0xfa5c64de, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x553289d1, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0x9a544780, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0xa3ec98ed, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x5a03b9b3, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0x30e6310a, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x108234b3, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0x91b0ad09, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0xa285af31, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0xbf30c289, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0xea4e2382, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0xb92ed725, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x122042f3, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0xa07aa305, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0x69e378d9, "_gpl");
SYMBOL_CRC(ata_link_online, 0xc3b3f7f0, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x8bcc3d85, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0x84fc7531, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x8bd03279, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x0d282689, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x5d4580a5, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0xb39fcb5b, "_gpl");
SYMBOL_CRC(ata_port_free, 0xc85d5ae6, "_gpl");
SYMBOL_CRC(ata_host_put, 0x6bf297aa, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x98421a41, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0xaa161e87, "_gpl");
SYMBOL_CRC(ata_host_start, 0xe769d5be, "_gpl");
SYMBOL_CRC(ata_host_init, 0xfbe778ad, "_gpl");
SYMBOL_CRC(ata_port_probe, 0x1794022d, "_gpl");
SYMBOL_CRC(ata_host_register, 0xa41e0410, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x41bed829, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x2561be0e, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0xd25312e0, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x4ab63f65, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0xf1c6b2d0, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0xdce94af9, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xfff91788, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0x6989acc7, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x53db740f, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x6a3a7884, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0xe076f9cf, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x60a79d86, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0xd086abaf, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0xcddaba17, "_gpl");
SYMBOL_CRC(ata_print_version, 0xcf1f815b, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0x77567c8b, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x6764844b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x3f905682, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xd99f1c1d, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0x02c4f027, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0xb6821ec9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xe23b2ee2, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0x30588c73, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0x4f4e1b34, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0xb95fe4fc, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0x2b927e21, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x142ad12a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0xe8e115ea, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x36c70578, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0x87fc173e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0x1ed07b13, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0xe811ab47, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0xa992845c, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0x11e5222d, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x6395ad09, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0x4d2f71f6, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x801f0ff7, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0xb35a34fe, "_gpl");
SYMBOL_CRC(ata_scsi_device_configure, 0xb7c0fab2, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0xea47ac3d, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0x6d7465ce, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0xa6d2c420, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x17f23e69, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0xcd21d182, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x44d2f146, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0x428bdd48, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0x910135fc, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0x22831e83, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0xd53a77fa, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0xd616746a, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x9f99ee10, "");
SYMBOL_CRC(ata_port_schedule_eh, 0x24e57761, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x0598d92e, "_gpl");
SYMBOL_CRC(ata_port_abort, 0x8c7ea054, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0xcf945f43, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0x2f7b546e, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x0b1a6150, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0x34052aa9, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0x902fe55b, "_gpl");
SYMBOL_CRC(ata_tport_add, 0xcff6370e, "_gpl");
SYMBOL_CRC(ata_port_classify, 0xc40ee44a, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x5015dd1c, "_gpl");
SYMBOL_CRC(sata_scr_read, 0xb3913f9e, "_gpl");
SYMBOL_CRC(sata_scr_write, 0xb8f87c48, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0xaa62cb40, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0x963cdeec, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x4e62a222, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x611e07d0, "_gpl");
SYMBOL_CRC(sata_set_spd, 0xde5d0894, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0x50ef8775, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0x1a683ea6, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0xcc6e667f, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0x4e91f535, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x927d7c05, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x3317a42c, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0xe8a7cd41, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0xa1bc531b, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x93c470f1, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x21e49ade, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0xcbe719a3, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0x0eb0333c, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0x6378e150, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x13c4de70, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0x2e2bc418, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x48641cee, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x04b76d3d, "_gpl");
SYMBOL_CRC(ata_sas_device_configure, 0x960f002d, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0x615350b5, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x04f4804a, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x9a9a1623, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x418c5a3f, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0xd23fd932, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x6805fe9b, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0xa245740d, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x18d75b6c, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0x4b37d681, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x70494b4f, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0x97163143, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x69b9f638, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x8126186f, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x97158ae7, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0x6e1cdb6f, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0xc85f729c, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0x5a34106d, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x50380503, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x9c088d5b, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x7eb44eaa, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x3aba92dd, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0x155c8d7c, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0xf239de9c, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x54e1a355, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x504536f8, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x6c91a7a4, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0xafa90199, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x8a02439b, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0x94194df6, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x77c9104e, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x05df2560, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0x6ad4b2af, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xe63151df, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0xf18065a6, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0xf600e1f1, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x7e9fd2e2, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0xbc00de28, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0x74a22759, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0x30762d17, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x6b4c31f4, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0xa919e2f1, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x5ed39c0c, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x7affeee7, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x87033388, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xe2ded6ad, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x8bdc7089, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0xac54a54f, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0xa95232ce, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0x208828bd, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0xf35568d8, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0xe31ca786, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0xb4a4af0b, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0x8dcd4654, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0xa753fcff, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0x1d5e1925, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xc996e380, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0xc2568f35, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x70728a5b, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0xd6140fef, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0x1af5b5b0, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0x3fc51fff, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_pata_type, 0x2c671efb, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0xa347d313, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x997cab8b, "scsi_device_set_state" },
	{ 0x61911524, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0xe65ae371, "pci_read_config_dword" },
	{ 0x3c14f393, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e5d8063, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x53f1ca10, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1c5d1e8, "put_device" },
	{ 0x97ef7ef6, "devm_free_irq" },
	{ 0xc21b200e, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa537e6fe, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x535ff551, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xbdcfdbd5, "pcim_iomap_regions" },
	{ 0x272dbece, "kobject_uevent_env" },
	{ 0xb335f821, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf97345cc, "perf_trace_run_bpf_submit" },
	{ 0xf7196435, "_dev_err" },
	{ 0x29f49f01, "scsi_host_put" },
	{ 0x1eb8e9bf, "transport_class_unregister" },
	{ 0xacfb3069, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8ffa4bdc, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x80b0f7cb, "attribute_container_register" },
	{ 0x77d8c4c3, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xca58eefc, "__devres_alloc_node" },
	{ 0x92578fb3, "sg_miter_stop" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x4e0e964c, "device_link_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0x7e719248, "transport_configure_device" },
	{ 0x80225690, "devres_open_group" },
	{ 0xb757fd88, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd885ebf4, "pcim_pin_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4a8db463, "transport_add_device" },
	{ 0x54a620f4, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd319328, "pci_restore_state" },
	{ 0xac3c840b, "bpf_trace_run1" },
	{ 0xe7ddf62b, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0xd1b0a00, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x1a0db126, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xad4025dc, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x35ffdce, "dma_set_coherent_mask" },
	{ 0xa0c1e469, "devm_kasprintf" },
	{ 0x6ec446c, "pv_ops" },
	{ 0x7de64e61, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x68dec568, "pm_runtime_forbid" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x490fd78d, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf30b6484, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x47f9369f, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d9cfbe7, "acpi_initialize_hp_context" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x31adcdba, "pci_disable_device" },
	{ 0xbf32887c, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x609ca8d8, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xb21c6320, "pcim_iomap_table" },
	{ 0x430dd0bc, "scsi_remove_device" },
	{ 0x445d1444, "blk_abort_request" },
	{ 0x4bae045a, "scsi_add_host_with_dma" },
	{ 0xff93f8c3, "set_primary_fwnode" },
	{ 0xfa63cf30, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x34a2a323, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4c4436eb, "dev_pm_qos_expose_flags" },
	{ 0x3fb68594, "pcim_enable_device" },
	{ 0x483a8bb0, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd2af8b71, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4016dae9, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x9e42c261, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3bb7d154, "acpi_pm_set_device_wakeup" },
	{ 0xbc59ac14, "pci_bus_type" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x6d3f3b6d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc54cd64e, "transport_class_register" },
	{ 0x24011135, "pci_save_state" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xa1ebec2b, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3fa60d73, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8534f005, "devres_release_group" },
	{ 0x243a5b7e, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7dbb16d8, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x45ebaf96, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xac0a85da, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1216f, "dmam_alloc_attrs" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0x34cccd31, "scsi_remove_host" },
	{ 0x21b5973e, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x64ccccc7, "scsi_build_sense" },
	{ 0x869c65f5, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa831c8c1, "scsi_check_sense" },
	{ 0x50ddf263, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x411c3d94, "sdev_evt_send_simple" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92368f7a, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x20994f, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x50b9cd03, "sdev_disable_disk_events" },
	{ 0x2a43fb67, "devres_add" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "9AE94823C94C47EC3467C79");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
