#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x565ac0b0, "");
SYMBOL_CRC(mma9551_write_config_byte, 0x86cea5bc, "");
SYMBOL_CRC(mma9551_read_status_byte, 0xeec5d13e, "");
SYMBOL_CRC(mma9551_read_config_word, 0x03e887b8, "");
SYMBOL_CRC(mma9551_write_config_word, 0x434a8674, "");
SYMBOL_CRC(mma9551_read_status_word, 0x0950b68e, "");
SYMBOL_CRC(mma9551_read_config_words, 0xe2f71cb8, "");
SYMBOL_CRC(mma9551_read_status_words, 0x79c48a9d, "");
SYMBOL_CRC(mma9551_write_config_words, 0x623af8b5, "");
SYMBOL_CRC(mma9551_update_config_bits, 0x1b638928, "");
SYMBOL_CRC(mma9551_gpio_config, 0x9bd99fff, "");
SYMBOL_CRC(mma9551_read_version, 0x56d198cb, "");
SYMBOL_CRC(mma9551_set_device_state, 0x657ecb2d, "");
SYMBOL_CRC(mma9551_set_power_state, 0xdfa2e7e5, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0xc6578e45, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x2d31f344, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2964dea8, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf7196435, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x73a171f, "_dev_info" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x46d2f348, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF732B0FB83CD26C976C38B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
