#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x7a46ff42, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xb0f379e4, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x06216281, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82257d04, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14a5f695, "ocelot_port_pre_bridge_flags" },
	{ 0xf05a3f3e, "ocelot_port_del_dscp_prio" },
	{ 0xc4052c2e, "ocelot_mrp_del_ring_role" },
	{ 0x2aa7fbdb, "ocelot_sb_tc_pool_bind_set" },
	{ 0x3e687ba3, "dsa_fdb_present_in_other_db" },
	{ 0xe9a92537, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5e8f76e3, "dsa_mdb_present_in_other_db" },
	{ 0x3c1cf13, "ocelot_vcap_filter_add" },
	{ 0x1c2c5332, "ocelot_sb_port_pool_get" },
	{ 0xed70fe9e, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xa1165eda, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x6e84aaf0, "ocelot_port_inject_frame" },
	{ 0x757bd0a5, "dev_err_probe" },
	{ 0xdc635daf, "ocelot_mrp_add" },
	{ 0x518f59db, "ocelot_sb_occ_port_pool_get" },
	{ 0xb556d7c7, "ocelot_sb_pool_set" },
	{ 0x1a1820ab, "ocelot_lag_fdb_del" },
	{ 0xfafbc70f, "ocelot_vcap_filter_del" },
	{ 0xec52456d, "ocelot_cls_flower_stats" },
	{ 0x8bf45ca0, "ocelot_lock_inj_grp" },
	{ 0xe044e2bf, "ocelot_lock_xtr_grp_bh" },
	{ 0x4b10a5a6, "ocelot_sb_pool_get" },
	{ 0xb6842ae1, "ocelot_lock_xtr_grp" },
	{ 0x8c511bc1, "ocelot_phylink_mac_link_up" },
	{ 0xaaf5e553, "ocelot_deinit_port" },
	{ 0xd0f720c1, "ocelot_can_inject" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0xee27e2a9, "ocelot_port_mirror_add" },
	{ 0xf68921a0, "ocelot_fdb_dump" },
	{ 0x6b29e805, "ocelot_vlan_prepare" },
	{ 0x70a030fe, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcd1377aa, "ocelot_set_ageing_time" },
	{ 0x6467b213, "__ocelot_rmw_ix" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0xab76ee26, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x17c29e87, "ocelot_port_policer_del" },
	{ 0xc07273d1, "ocelot_port_lag_change" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0x3cb88846, "ocelot_port_policer_add" },
	{ 0x23a53093, "ocelot_port_mdb_add" },
	{ 0x61c7e1af, "ocelot_vlan_add" },
	{ 0xa540f249, "ocelot_sb_tc_pool_bind_get" },
	{ 0x6106c14e, "ocelot_port_bridge_flags" },
	{ 0x1742e8f5, "ocelot_devlink_sb_unregister" },
	{ 0x570ed7c1, "ocelot_port_bridge_leave" },
	{ 0x1bb0a2b, "ocelot_port_set_maxlen" },
	{ 0x259ef631, "ocelot_vcap_filter_replace" },
	{ 0xa34c1508, "ocelot_get_max_mtu" },
	{ 0xba834b29, "regmap_fields_update_bits_base" },
	{ 0x5b4773c6, "ocelot_sb_occ_snapshot" },
	{ 0x9a75ecd2, "ocelot_get_ts_info" },
	{ 0x28c93a11, "ocelot_sb_occ_max_clear" },
	{ 0x43b44403, "ocelot_port_get_mm" },
	{ 0xa3d49281, "ocelot_ptp_gettime64" },
	{ 0xd4d95376, "ocelot_unlock_inj_grp" },
	{ 0x2f346667, "ocelot_get_strings" },
	{ 0x779949c0, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa787690, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xab07ebd8, "ocelot_unlock_xtr_grp_bh" },
	{ 0x8f4dc0c4, "ocelot_port_add_dscp_prio" },
	{ 0x2f228687, "ocelot_drain_cpu_queue" },
	{ 0xe02be7a, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x436cdf52, "__ocelot_read_ix" },
	{ 0x5ed46e99, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xcb68e0e7, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab3ba933, "ocelot_get_sset_count" },
	{ 0x2eade2ab, "ocelot_migrate_mdbs" },
	{ 0x5025cf44, "ocelot_hwstamp_get" },
	{ 0x217d2ae4, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2c62c03f, "ocelot_port_bridge_join" },
	{ 0x5f746b1d, "ocelot_fdb_add" },
	{ 0x59f1ccb0, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x2921f366, "ocelot_xtr_poll_frame" },
	{ 0x3b27d134, "ocelot_port_get_default_prio" },
	{ 0x673dd23e, "ptp_classify_raw" },
	{ 0xeb0f580c, "ocelot_port_set_default_prio" },
	{ 0xee1b10d6, "dsa_tag_8021q_register" },
	{ 0xc5c3f7ce, "ocelot_port_get_mm_stats" },
	{ 0xd2970ea1, "ocelot_deinit" },
	{ 0xf7196435, "_dev_err" },
	{ 0x1d85e307, "ocelot_vlan_del" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0x1ef81eab, "ocelot_bond_get_id" },
	{ 0xcfe7ac06, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x62cb7daf, "ocelot_cls_flower_destroy" },
	{ 0x4713141e, "ocelot_port_vlan_filtering" },
	{ 0x31d5ee72, "ocelot_port_get_rmon_stats" },
	{ 0x2dc8f6b, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xf5eb6562, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xede8d1c6, "ocelot_bridge_stp_state_set" },
	{ 0x55b73c77, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd4db44b, "netif_rx" },
	{ 0xeb1ac029, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xc170daa2, "ocelot_fdb_del" },
	{ 0x5eeeaaa0, "ocelot_phylink_mac_link_down" },
	{ 0xcc2e2f1f, "ocelot_port_lag_join" },
	{ 0x95fc711b, "ocelot_port_get_eth_phy_stats" },
	{ 0xaf8da4e1, "ocelot_port_lag_leave" },
	{ 0xa4de64ee, "ocelot_mrp_add_ring_role" },
	{ 0x4f9a82a6, "ocelot_port_set_mm" },
	{ 0x2a7185fb, "ocelot_deinit_timestamp" },
	{ 0x2dfb641, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb8bca4a, "ocelot_port_get_stats64" },
	{ 0xad0a42d6, "ocelot_port_get_dscp_prio" },
	{ 0x38fa3762, "ocelot_port_mdb_del" },
	{ 0xdc4b84f4, "ocelot_port_get_eth_mac_stats" },
	{ 0x4aac904f, "ocelot_mact_flush" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "44787D8C09EEB2936783AC0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
