#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x204bbe24, "");
SYMBOL_CRC(vnic_dev_get_res, 0x3470cd63, "");
SYMBOL_CRC(vnic_dev_unregister, 0x12dd7107, "");
SYMBOL_CRC(vnic_dev_register, 0x200ab071, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x60dcdedc, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x6285489f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf43f90f6, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0x3a738e0b, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x270017e6, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x73a171f, "_dev_info" },
	{ 0xf05a8f63, "__hw_addr_unsync_dev" },
	{ 0xfb0188ae, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7b52a9b, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xa9a13e55, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x95fdb041, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf7196435, "_dev_err" },
	{ 0xc83376b6, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c1c2bf3, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6a0897e8, "netif_set_real_num_rx_queues" },
	{ 0xcfa21ab6, "dev_close" },
	{ 0xb9a8df7b, "dma_alloc_attrs" },
	{ 0x77d8c4c3, "pci_read_config_word" },
	{ 0xe7a8cc69, "napi_enable" },
	{ 0x4ae3b337, "netif_receive_skb" },
	{ 0x8d304f20, "nla_put" },
	{ 0x79ae9b13, "register_netdev" },
	{ 0xb24ed5fa, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcecf1efd, "ethtool_op_get_link" },
	{ 0x1fab15c3, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x91356a73, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x1a0db126, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xda04f39e, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xae348f45, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35ffdce, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb7dedbdc, "rps_may_expire_flow" },
	{ 0x18095330, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x170ab62a, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfcd630e1, "call_netdevice_notifiers" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a71e90f, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x63a37ef2, "__hw_addr_sync_dev" },
	{ 0x1883d43f, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb1af7490, "netif_carrier_on" },
	{ 0x76b61f4e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x31adcdba, "pci_disable_device" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa5f88401, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5c01d388, "__napi_schedule_irqoff" },
	{ 0x55ec102e, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7c6db5fe, "napi_disable" },
	{ 0xa63370d7, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2adad9fb, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x5903ded8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ba2e585, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd510f8f1, "pci_find_ext_capability" },
	{ 0x2f17d8d6, "skb_copy_bits" },
	{ 0xd865579f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfe3aece5, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7c4d4192, "pci_enable_device_mem" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0x43e0d924, "pci_iomap" },
	{ 0x59215e27, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3d71e4e7, "unregister_netdev" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0x78fda945, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x898efa1d, "pci_disable_msi" },
	{ 0xea183b45, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x261fbcc4, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x38c14dfb, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x54ca7a0e, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfe7fb770, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x89da407f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61911524, "dev_driver_string" },
	{ 0xa9e7ecd7, "dev_addr_mod" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7446970ABF46EE0EDD77D9C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
