#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x50d1705c, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x0c7122a7, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xcb3c56bf, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xca6372e1, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xb67ba0f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcecf1efd, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x1fab15c3, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9e43c06, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x724778cb, "netif_tx_stop_all_queues" },
	{ 0xd319328, "pci_restore_state" },
	{ 0xac3c840b, "bpf_trace_run1" },
	{ 0x91356a73, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xe7ddf62b, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x16cfab3e, "dcb_getapp" },
	{ 0xd673cdca, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x6dacbc73, "flow_rule_match_ports" },
	{ 0x11917240, "gnss_allocate_device" },
	{ 0x2bde31e2, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb7260cf, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xa9a6621b, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x1a0db126, "pci_set_master" },
	{ 0x18df7b0d, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x89d62141, "flow_rule_match_ipv6_addrs" },
	{ 0x7eaeb5af, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1b9786e7, "devl_params_unregister" },
	{ 0x9ce4065a, "ptp_clock_unregister" },
	{ 0xda04f39e, "__pskb_pull_tail" },
	{ 0xc000ce0f, "xp_dma_unmap" },
	{ 0xc27fa334, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x29b9ad0c, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9e42bba9, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x858838c9, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35ffdce, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xec9992a1, "flow_rule_match_pppoe" },
	{ 0x6ec446c, "pv_ops" },
	{ 0xf62164d7, "flow_rule_match_enc_control" },
	{ 0x7de64e61, "bpf_trace_run3" },
	{ 0x85bb2849, "seq_read" },
	{ 0x4398243d, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3b157b37, "_dev_notice" },
	{ 0xe1462d9f, "gnss_deregister_device" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0xb7dedbdc, "rps_may_expire_flow" },
	{ 0x1dae8194, "metadata_dst_free" },
	{ 0x7acbfd02, "xsk_set_tx_need_wakeup" },
	{ 0x3976e223, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3d9bf4dc, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0xda8f1617, "kthread_destroy_worker" },
	{ 0x98b51ff9, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7671e60e, "flow_rule_match_enc_ports" },
	{ 0x1e83cde0, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xbb2682ed, "dpll_netdev_pin_clear" },
	{ 0xc6a5dcb, "netif_queue_set_napi" },
	{ 0x2a1707a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xfcd630e1, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x6a710293, "devl_assert_locked" },
	{ 0xcb700f98, "pcie_print_link_status" },
	{ 0x7fe72fab, "xp_set_rxq_info" },
	{ 0x667798a8, "flow_rule_match_vlan" },
	{ 0x5a52cd9a, "devl_port_unregister" },
	{ 0x92ec6921, "xdp_rxq_info_unreg" },
	{ 0x38305515, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xb6288737, "napi_build_skb" },
	{ 0x3df586f1, "netdev_master_upper_dev_get_rcu" },
	{ 0x9de88832, "__xdp_rxq_info_reg" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xdb6b7e95, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a71e90f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x66454354, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x8d4870d2, "dpll_pin_register" },
	{ 0x531b2e08, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x22d22bca, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x63a37ef2, "__hw_addr_sync_dev" },
	{ 0x1883d43f, "pci_disable_sriov" },
	{ 0x90621cca, "pldmfw_flash_image" },
	{ 0xd17d043d, "kthread_queue_delayed_work" },
	{ 0x944e37, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa848f07b, "dst_release" },
	{ 0xb1af7490, "netif_carrier_on" },
	{ 0x825bf53, "netdev_set_num_tc" },
	{ 0x62d90d53, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xda77275, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x23e277ed, "dev_uc_add_excl" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x6622f84f, "xp_free" },
	{ 0xb624faee, "dev_mc_add_excl" },
	{ 0xc6d9d25e, "gnss_put_device" },
	{ 0xd4496f5b, "single_release" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0xd06d2739, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xca13a5a9, "netif_set_tso_max_size" },
	{ 0xa5f88401, "__skb_flow_dissect" },
	{ 0x2693e97f, "vlan_dev_vlan_id" },
	{ 0x5091a3de, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x64f8ef69, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb21c6320, "pcim_iomap_table" },
	{ 0x9835c0b8, "xdp_master_redirect" },
	{ 0x6aea64a7, "__devm_add_action" },
	{ 0x9d685fcf, "dpll_pin_on_pin_register" },
	{ 0x55ec102e, "napi_schedule_prep" },
	{ 0x3697b6a8, "napi_consume_skb" },
	{ 0xfa63cf30, "pci_read_config_byte" },
	{ 0xf92364e8, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x7c6db5fe, "napi_disable" },
	{ 0xa63370d7, "dev_kfree_skb_any_reason" },
	{ 0x1a1de852, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb80a8a8c, "single_open" },
	{ 0x3fb68594, "pcim_enable_device" },
	{ 0x7cdaa2, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4931519, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xca1d8a29, "flow_rule_match_control" },
	{ 0xf8d39d2d, "flow_rule_match_ip" },
	{ 0x2adad9fb, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x5d65ca08, "dpll_device_get" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xae61eb16, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x793a15c5, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x5903ded8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x1e62d027, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa35937a0, "__tracepoint_xdp_exception" },
	{ 0xc91dd83e, "xsk_tx_completed" },
	{ 0xc42b5c9b, "napi_alloc_skb" },
	{ 0x4ba2e585, "alloc_etherdev_mqs" },
	{ 0x98b1ef51, "netdev_lower_get_next" },
	{ 0x62324f6c, "flow_block_cb_lookup" },
	{ 0x24011135, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfe6a49e, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xcd25b003, "device_set_wakeup_enable" },
	{ 0x5b498d63, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49bd4d43, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8351ced4, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd510f8f1, "pci_find_ext_capability" },
	{ 0x19b1a9f5, "kthread_create_worker" },
	{ 0x35e31c41, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x16899b0f, "devl_region_create" },
	{ 0x5f7f1ec1, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2f17d8d6, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x243a5b7e, "devm_request_threaded_irq" },
	{ 0xb688e0b1, "kthread_cancel_delayed_work_sync" },
	{ 0x5c3f6c6c, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0x6100fa1b, "pci_wake_from_d3" },
	{ 0xfe3aece5, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbf7fa17, "call_switchdev_notifiers" },
	{ 0x261b2b2a, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x9001ef33, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x473dd806, "auxiliary_device_init" },
	{ 0x7c4d4192, "pci_enable_device_mem" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x173d33e8, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x13f4eb2a, "pci_alloc_irq_vectors" },
	{ 0xabbb2b7, "flow_rule_match_l2tpv3" },
	{ 0x59215e27, "netif_napi_add_weight" },
	{ 0x6d5c9357, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a71d965, "xsk_tx_peek_release_desc_batch" },
	{ 0xeafa8692, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1216f, "dmam_alloc_attrs" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0xc3c5910a, "devl_lock" },
	{ 0xff05a84, "pci_dev_put" },
	{ 0x9625b45b, "xp_fill_cb" },
	{ 0xfd4b7f2a, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6f7e7c1, "ndo_dflt_bridge_getlink" },
	{ 0x3d71e4e7, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x39925862, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x71cceb7a, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1c272f8a, "xdp_features_set_redirect_target" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc86351ba, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0xdc054b58, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xe0aa6a16, "flow_rule_match_cvlan" },
	{ 0x78fda945, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x257c449f, "gnss_insert_raw" },
	{ 0xb36387af, "pci_num_vf" },
	{ 0x60ed0a4c, "flow_rule_match_eth_addrs" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xc74d940f, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8c1f70b1, "ptp_clock_index" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x7cb5656d, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xca467c5a, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x775fd3a2, "devlink_alloc_ns" },
	{ 0x29220e0e, "devl_rate_leaf_destroy" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x2c4dc86, "xdp_do_redirect" },
	{ 0xeae1573a, "devlink_free" },
	{ 0x261fbcc4, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92368f7a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8cec1a5e, "devl_rate_node_create" },
	{ 0x38c14dfb, "netdev_warn" },
	{ 0x3ca6db5, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x20994f, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x79191a6a, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x856d8a52, "pci_irq_vector" },
	{ 0xec8456f6, "flow_rule_match_ipv4_addrs" },
	{ 0x54ca7a0e, "__netif_napi_del" },
	{ 0xad5604b6, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaab04379, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xfe7fb770, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x89da407f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x143c6fce, "pskb_expand_head" },
	{ 0xd4827e8d, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xfd0ec0d0, "devlink_flash_update_status_notify" },
	{ 0x61911524, "dev_driver_string" },
	{ 0x32ee4ae8, "pci_restore_msi_state" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x1cf4aaaf, "xdp_return_buff" },
	{ 0xa9e7ecd7, "dev_addr_mod" },
	{ 0x4a148ceb, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf43f90f6, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd7c31d81, "auxiliary_driver_unregister" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0x3a738e0b, "napi_complete_done" },
	{ 0x12de9266, "switchdev_handle_port_obj_del" },
	{ 0xceb4a2f0, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xd233ef16, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9fe3d9a4, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc866bc8f, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1c5d1e8, "put_device" },
	{ 0x97ef7ef6, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x97302acf, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x2eed7370, "ipv6_skip_exthdr" },
	{ 0xbe15bc59, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x372c7fc2, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xe203e3ea, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe41c46a2, "__free_pages" },
	{ 0xf05a8f63, "__hw_addr_unsync_dev" },
	{ 0x73a171f, "_dev_info" },
	{ 0xfb0188ae, "napi_gro_receive" },
	{ 0xa4995b12, "netif_device_attach" },
	{ 0x5e3594de, "xdp_features_clear_redirect_target" },
	{ 0x3b9dceb9, "netdev_pick_tx" },
	{ 0x59956d71, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x341236d8, "xp_raw_get_dma" },
	{ 0x7afcbbcd, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x62f515fb, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xbb2992, "xdp_rxq_info_is_reg" },
	{ 0xb2e23301, "flow_rule_match_enc_opts" },
	{ 0xac7416aa, "flow_block_cb_setup_simple" },
	{ 0x9e2daa87, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc6c31899, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7b52a9b, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xbdcfdbd5, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x7279d43, "vlan_dev_real_dev" },
	{ 0x91db22be, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa9a13e55, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3fdacede, "devm_kmemdup" },
	{ 0x82659064, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf97345cc, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x14f9dad, "devlink_flash_update_timeout_notify" },
	{ 0xde5430f1, "devm_kfree" },
	{ 0xf7196435, "_dev_err" },
	{ 0xd03eb43e, "init_net" },
	{ 0xc83376b6, "softnet_data" },
	{ 0xc2851e90, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8545be55, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x693d3f83, "ptp_clock_register" },
	{ 0xcadf28b8, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xbdc8f4ef, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c1c2bf3, "netif_set_real_num_tx_queues" },
	{ 0x33adec4d, "__auxiliary_device_add" },
	{ 0x51cf3ca9, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6a0897e8, "netif_set_real_num_rx_queues" },
	{ 0xab39464a, "flow_indr_block_cb_alloc" },
	{ 0xefecfe12, "devl_port_register_with_ops" },
	{ 0x3cdbd556, "pci_wait_for_pending_transaction" },
	{ 0xcfa21ab6, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x32fd83b9, "pci_device_is_present" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0x77d8c4c3, "pci_read_config_word" },
	{ 0x90afc8cf, "pcie_flr" },
	{ 0xe7a8cc69, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xa6687571, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc967e5d1, "dcbnl_ieee_notify" },
	{ 0x3717966a, "xsk_uses_need_wakeup" },
	{ 0x79ae9b13, "register_netdev" },
	{ 0x6d9fb583, "dev_mc_del" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xb24ed5fa, "free_netdev" },
	{ 0x8c6d08d9, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf6711637, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("auxiliary:ice.sf");
MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "133CD96D16D46F4B8E6ED73");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
