#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xc693aed6, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0xe0717193, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x1009671a, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x88f6b916, "_gpl");
SYMBOL_CRC(p54_rx, 0x89a2c073, "_gpl");
SYMBOL_CRC(p54_init_common, 0xf629782e, "_gpl");
SYMBOL_CRC(p54_register_common, 0x8e583d3c, "_gpl");
SYMBOL_CRC(p54_free_common, 0xc1dfb88d, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xd75cdeca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x84a9aeda, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfacbf5e1, "__ieee80211_get_tx_led_name" },
	{ 0x8a6be002, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e854de2, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x13014e3, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x469777e4, "__ieee80211_get_rx_led_name" },
	{ 0x73a171f, "_dev_info" },
	{ 0x8bad747d, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xec7e472, "ieee80211_queue_delayed_work" },
	{ 0xf7196435, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x78ce4bf3, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x118936d2, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe4f92ce0, "ieee80211_free_txskb" },
	{ 0xfcd03cfd, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb825056f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x23f30c0b, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb7379fc0, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x446997df, "ieee80211_stop_queue" },
	{ 0xae348f45, "__netdev_alloc_skb" },
	{ 0x91549e8d, "skb_trim" },
	{ 0x5d93173f, "skb_unlink" },
	{ 0x29290bfb, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x7d0b123a, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xf0d36bdf, "ieee80211_unregister_hw" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66c72f07, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa63370d7, "dev_kfree_skb_any_reason" },
	{ 0x34a2a323, "_dev_printk" },
	{ 0x2a076247, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0xd2dd05fc, "ieee80211_rx_irqsafe" },
	{ 0xd707b521, "skb_queue_head" },
	{ 0xd865579f, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x578e7ef3, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x111122a9, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x627a37b4, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d352054, "led_classdev_unregister" },
	{ 0x69601677, "ieee80211_register_hw" },
	{ 0x110348ee, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3a5d9b9f, "ieee80211_get_hdrlen_from_skb" },
	{ 0x1edad007, "__ieee80211_get_radio_led_name" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "8342CBDB8DFBEEFF8CA0EC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
