#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x9328fe55, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x522b9020, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x42fc61a3, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x87ee88e9, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0x41628e50, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x6699f35a, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x65d3101c, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x92f39220, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbcdbc058, "mt76x02_mac_shared_key_setup" },
	{ 0xbacbfbd4, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11f37624, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x73a171f, "_dev_info" },
	{ 0x8bc3b13e, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xec7e472, "ieee80211_queue_delayed_work" },
	{ 0x84d79d8e, "mt76_eeprom_init" },
	{ 0xf7196435, "_dev_err" },
	{ 0xcac7cd8c, "mt76x02_mac_setaddr" },
	{ 0xdd3a552e, "mt76_register_device" },
	{ 0xf1f94a7d, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b12b0d9, "mt76x02_phy_set_band" },
	{ 0x9ba4faf6, "mt76x02_init_device" },
	{ 0xa3f0c15, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x2a4974c8, "mt76x02_phy_set_rxpath" },
	{ 0xbe0e587d, "mt76x02_edcca_init" },
	{ 0xf428feb1, "mt76_eeprom_override" },
	{ 0xa212da4d, "mt76x02_get_lna_gain" },
	{ 0x134cf4a8, "mt76x02_init_debugfs" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6911498d, "mt76x02_mac_cc_reset" },
	{ 0x28821208, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x70314d77, "____mt76_poll_msec" },
	{ 0x213e5b84, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbd0aff0e, "mt76x02_config_mac_addr_list" },
	{ 0x26019f15, "mt76_get_sar_power" },
	{ 0xee40251a, "mt76x02_eeprom_copy" },
	{ 0x68b3e7b6, "mt76x02_mcu_calibrate" },
	{ 0xadd28429, "mt76x02_mcu_function_select" },
	{ 0x21710294, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x5e3cf82a, "mt76x02_mac_wcid_setup" },
	{ 0xb8ad7ead, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6240172c, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x58448569, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x681bc10, "mt76_update_channel" },
	{ 0x6f06665a, "mt76_init_sar_power" },
	{ 0x7d48569f, "mt76x02_phy_adjust_vga_gain" },
	{ 0x4fc235e0, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "F55B773250042EFF4C9B69C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
