#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x97ea3350, "");
SYMBOL_CRC(rtw_pci_probe, 0x2e94d1d6, "");
SYMBOL_CRC(rtw_pci_remove, 0x215f3432, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xf8645a15, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64e6ceba, "rtw_chip_info_setup" },
	{ 0xd12d7aae, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa9a13e55, "__dma_sync_single_for_cpu" },
	{ 0x9e68103f, "rtw_unregister_hw" },
	{ 0xf7196435, "_dev_err" },
	{ 0x78ce4bf3, "skb_pull" },
	{ 0x35dad6b1, "rtw_tx_fill_tx_desc" },
	{ 0x118936d2, "skb_push" },
	{ 0xb9a8df7b, "dma_alloc_attrs" },
	{ 0xe7a8cc69, "napi_enable" },
	{ 0xafd91710, "rtw_core_init" },
	{ 0xb24ed5fa, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb825056f, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xea7e5408, "pci_iounmap" },
	{ 0x93bcc014, "rtw_update_rx_freq_from_ie" },
	{ 0xa98bb886, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x1a0db126, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x446997df, "ieee80211_stop_queue" },
	{ 0xae348f45, "__netdev_alloc_skb" },
	{ 0xbca654c1, "rtw_rx_stats" },
	{ 0x4365f30f, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x247d3c55, "rtw_register_hw" },
	{ 0x19e8d640, "alloc_netdev_dummy" },
	{ 0x18095330, "dma_free_attrs" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0x170ab62a, "pci_release_regions" },
	{ 0x2a1707a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0d36bdf, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd266cb55, "rtw_core_deinit" },
	{ 0x121db0f1, "rtw_ops" },
	{ 0x31adcdba, "pci_disable_device" },
	{ 0x55ec102e, "napi_schedule_prep" },
	{ 0xfb06ad38, "rtw_write_firmware_page" },
	{ 0x7c6db5fe, "napi_disable" },
	{ 0xa63370d7, "dev_kfree_skb_any_reason" },
	{ 0x13d0da5f, "rtw_power_mode_change" },
	{ 0x5f92856f, "rtw_tx_write_data_h2c_get" },
	{ 0x4931519, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xda35c6b8, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xef88c15f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x77a0d65e, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x36a12bae, "rtw_tx_queue_mapping" },
	{ 0x6040d505, "pcie_capability_read_word" },
	{ 0x243a5b7e, "devm_request_threaded_irq" },
	{ 0x6d7d662f, "pci_enable_device" },
	{ 0xd865579f, "skb_put" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0x43e0d924, "pci_iomap" },
	{ 0x13f4eb2a, "pci_alloc_irq_vectors" },
	{ 0x59215e27, "netif_napi_add_weight" },
	{ 0x578e7ef3, "skb_dequeue" },
	{ 0x111122a9, "ieee80211_free_hw" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0xea183b45, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x5d1b84a7, "dev_kfree_skb_irq_reason" },
	{ 0x20994f, "pci_set_power_state" },
	{ 0x54ca7a0e, "__netif_napi_del" },
	{ 0x84a9aeda, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61911524, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0x3a738e0b, "napi_complete_done" },
	{ 0x13014e3, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x97ef7ef6, "devm_free_irq" },
	{ 0x97302acf, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8bad747d, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "F235F522B575430E717BD70");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
