#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_DATA(rtw89_fw_blacklist_default, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x0ef1de78, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xd0f6b88c, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x8afc5efe, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x180e973c, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x4204714e, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x90932d27, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0xce168ff9, "");
SYMBOL_CRC(rtw89_core_rx, 0x1b76f1f0, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xfbea5e32, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0xdc8eeca4, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x1f931f96, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x7bf89d0b, "");
SYMBOL_CRC(rtw89_check_quirks, 0x27aa3aea, "");
SYMBOL_CRC(rtw89_core_init, 0x0b71946a, "");
SYMBOL_CRC(rtw89_core_deinit, 0xa11160e3, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x10e7f700, "");
SYMBOL_CRC(rtw89_core_register, 0xa98970f5, "");
SYMBOL_CRC(rtw89_core_unregister, 0x05a2cbb2, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x5c5ea1db, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x7d94e254, "");
SYMBOL_CRC(rtw89_ops, 0xef963a33, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xef3f2fd6, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x16fd578e, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0xae4229c6, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xfc1c0bae, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x42af3725, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x16567938, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xea81db1d, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x8a98d980, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x07f81976, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xced57c83, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x1f98164b, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x8d6d0798, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x502c4efc, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x44c2602e, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xb9b7da05, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0xdf69359c, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0xcc92cfa0, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0x1f0955be, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0xf135bb55, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0xb2eb451a, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x7d90318a, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x168ca0d3, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x644d28c0, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x1ed4b967, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0xadf3d768, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x4b50883a, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xa568fa77, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x7ea32295, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x043384d7, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x54a9bfbc, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x7d1c6952, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x47c97bf0, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xa5701f94, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x3e091fc5, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xa61d10b4, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x91c11c90, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x84ae2ae0, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x2ab1a599, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x202cc771, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xe4a3da95, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x3323b6c2, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x9f5ba052, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0xb0486a94, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x84b5f675, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x2502d58e, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xba19d3ad, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xf196927c, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0xc2a48a2b, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x25a9cf24, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x78cabada, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x41233431, "");
SYMBOL_CRC(rtw89_fw_blacklist_default, 0x46967a00, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x942ea342, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x31d28b2e, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0xf5667d6f, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0xe77d13f2, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x2a504666, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0xbc23261c, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x294c28d4, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x1208b363, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0xd66b8008, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x1c8e1918, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0xbc55d70e, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0xe4012807, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x272f4546, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0xe1067b7c, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0x72032fc5, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x7f374fac, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x7773b4f4, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x38582cf0, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0xdcbd11c3, "");
SYMBOL_CRC(rtw89_ser_notify, 0xd7e60958, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68feedc, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x23f30c0b, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb7379fc0, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xae348f45, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x93769691, "ieee80211_ready_on_channel" },
	{ 0x1d3b81a6, "ieee80211_stop_queues" },
	{ 0x91549e8d, "skb_trim" },
	{ 0x5d93173f, "skb_unlink" },
	{ 0x29290bfb, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x9e6b9d66, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x19e8d640, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe774288, "ieee80211_scan_completed" },
	{ 0x44c71daf, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0d36bdf, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x83eab0fb, "seq_write" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66454354, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x66c72f07, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8414ed32, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc68ed6fb, "ieee80211_queue_work" },
	{ 0x55ec102e, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x7c6db5fe, "napi_disable" },
	{ 0xa63370d7, "dev_kfree_skb_any_reason" },
	{ 0x2a076247, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xef88c15f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf18d82ec, "ieee80211_stop_tx_ba_session" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0xcd25b003, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xde5a759, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3fa60d73, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd8c9d388, "__ieee80211_schedule_txq" },
	{ 0xdca0f8b3, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xff052044, "cfg80211_bss_iter" },
	{ 0xd865579f, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x59215e27, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x111122a9, "ieee80211_free_hw" },
	{ 0xf154a9c4, "ieee80211_probereq_get" },
	{ 0x36e19c9d, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0x8aba796a, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaf9e534c, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x627a37b4, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xac310e2f, "ieee80211_nullfunc_get" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x1bed36be, "ieee80211_pspoll_get" },
	{ 0x69601677, "ieee80211_register_hw" },
	{ 0x110348ee, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab1f50a0, "ieee80211_restart_hw" },
	{ 0x54ca7a0e, "__netif_napi_del" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x143c6fce, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x97302acf, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x73a171f, "_dev_info" },
	{ 0x8bad747d, "skb_queue_tail" },
	{ 0xaeb98a5e, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xa71aaa99, "wiphy_to_ieee80211_hw" },
	{ 0xe9238966, "ieee80211_gtk_rekey_add" },
	{ 0xec7e472, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf7196435, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0xdde26105, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6a6021c5, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x118936d2, "skb_push" },
	{ 0xe7a8cc69, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa37dd1ad, "seq_putc" },
	{ 0x828eb6bb, "ieee80211_wake_queues" },
	{ 0xb24ed5fa, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5886aa70, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4f92ce0, "ieee80211_free_txskb" },
	{ 0xe206600d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb825056f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "7330789E033D406AED7067F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
