#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x2841bf4e, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xdb87f742, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x301f7899, "_gpl");
SYMBOL_CRC(wlcore_probe, 0xabb1dac1, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x5f9190ba, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x16c6911a, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xa71a35c3, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xdac20d67, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x1660b238, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x5f241eaa, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x2229cda5, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0xcbbc3e8e, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x8382be57, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0xa687ea0b, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x9c47a227, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xa58f7163, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0xe13ab44a, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xf3494442, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0xd7491fb3, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xcb81285e, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x225406c4, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x2bab362b, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x138b7c68, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xf2753692, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0xe2704bc0, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x08727131, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x4fae722c, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x702e672a, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x2fda236b, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x6bea6a2d, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x4840599d, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x142e9add, "");
SYMBOL_CRC(wlcore_tx_complete, 0x151695d7, "");
SYMBOL_CRC(wl1271_tx_flush, 0x6f933a47, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x8a6ff160, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x4ac3b69f, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x94d01353, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0xc96dde85, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0xb796d131, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0xa4cf9412, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x48b5d14c, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x2cf33590, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0xada0f084, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x53cb26d9, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0xea1badce, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x3721aaa0, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xb290d3fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x8bad747d, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x56a934b9, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xbfb127db, "device_create_file" },
	{ 0xa71aaa99, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xec7e472, "ieee80211_queue_delayed_work" },
	{ 0x66419352, "ieee80211_proberesp_get" },
	{ 0x174f0a8c, "device_wakeup_enable" },
	{ 0x1664b1ad, "request_firmware_nowait" },
	{ 0xc2851e90, "simple_open" },
	{ 0x78ce4bf3, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x71fc2362, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6a6021c5, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x118936d2, "skb_push" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0x341015b8, "no_seek_end_llseek" },
	{ 0x828eb6bb, "ieee80211_wake_queues" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xe4f92ce0, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xb825056f, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc77e2ce7, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xe027cd78, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x446997df, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xae348f45, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x93769691, "ieee80211_ready_on_channel" },
	{ 0x1d3b81a6, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x91549e8d, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x48d60e37, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x6ec446c, "pv_ops" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xf386b58, "ieee80211_sched_scan_results" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0xe774288, "ieee80211_scan_completed" },
	{ 0x44c71daf, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xc2da34dc, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8c8aee99, "pm_runtime_force_resume" },
	{ 0xf0d36bdf, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x66c72f07, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0x46d2f348, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc68ed6fb, "ieee80211_queue_work" },
	{ 0x8a047996, "__pm_runtime_use_autosuspend" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x418a1f22, "__pm_runtime_disable" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0xa82b91e3, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x24a36b1c, "pm_runtime_force_suspend" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xe4d16810, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x159e7034, "device_remove_bin_file" },
	{ 0x79cfd5de, "device_remove_file" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0xd707b521, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xef88c15f, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf28ff331, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xedd43ab1, "ieee80211_iterate_interfaces" },
	{ 0x23c17dc1, "ieee80211_sched_scan_stopped" },
	{ 0x9c3fa204, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x610d1850, "ieee80211_chswitch_done" },
	{ 0xd865579f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x578e7ef3, "skb_dequeue" },
	{ 0x97af1219, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x111122a9, "ieee80211_free_hw" },
	{ 0xf154a9c4, "ieee80211_probereq_get" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb60889b2, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xac310e2f, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x1bed36be, "ieee80211_pspoll_get" },
	{ 0x69601677, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab1f50a0, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3a5d9b9f, "ieee80211_get_hdrlen_from_skb" },
	{ 0xed1f95f0, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe8560198, "ieee80211_stop_rx_ba_session" },
	{ 0x84a9aeda, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3d755f99, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd3ff159, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x4e854de2, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xc64218f0, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc21b200e, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "410B59115579F5E51122B43");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
