#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x2dacb67f, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x3775f793, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x7bd6213a, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xac3970db, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xf08a469c, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x0baaa6d8, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xd4f69a5c, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xeac071a1, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xa27341f5, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xb1a67b05, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x085a7be7, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xbf82181d, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xfa9fbfcf, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xa2d52950, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x077ba975, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x6832e7b7, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x4c7e05fc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x2fc72c50, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x6a903173, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xede700d1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x54b9b363, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xfd1ad143, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x33ad18f4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0xca95cb72, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x496e9f7e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x8300b7ea, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xa6e28f79, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x8809171f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x49eea6ec, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x16820eac, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xc67dcd83, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x3f0a45d7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xfa06fd6b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x36602e9f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x471b160d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x404e7c67, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xd6358bf9, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x05a7f177, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x6525df85, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xd06ab854, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xd4a32630, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x4ee1a1e7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x7652c469, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xac2e61e5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x24a4ad46, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x4ef81598, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x821ddc6c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x1f119ab8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x8f428fc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xdf76532b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xb47d4681, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7867d62d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xdd0a9ee5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x90e43dd7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x93ade449, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x0c498f7b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0xd4a97ca7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x1d744720, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xee3eded6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x54008954, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0xad9467f8, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x69de657c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x93bde5e8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x942c5b17, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x5f311070, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0xa3a34126, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0x1e5d0ddc, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x2dc7554a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x59599532, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x10354b34, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xe021d25c, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x849c74ee, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xf52ae39a, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x84b43f5d, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x1f59cad5, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xd0f4d875, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x3266f321, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x98e70051, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x57feb805, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xe228d0fb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x782bee5b, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xa6b07b46, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xab99c1ce, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x928436a6, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xe941523d, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x5e1863c7, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x3bb69aac, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x2bf1eda1, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x2537ed57, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x1b04b15f, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xbefff045, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xeae35476, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x7f32bcc1, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x67f04bce, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x6d7ffc09, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xbd4c57e7, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xf73de391, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xe5c89859, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x029a3773, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x0d9fe4bd, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xf5b02ed4, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xac4230ba, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xfe9d5230, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x4e81c2ab, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xb27d12dc, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x45267970, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x77f43271, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xb7d06daf, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x164189ef, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xe23339bc, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x74922ed8, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x0b451681, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xfc643c06, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xe033586f, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x738a1a8c, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x9d2a8576, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xb992e3b4, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x260ed882, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x71ad9b69, "nfs_fscache_open_file" },
	{ 0xa99aa21f, "from_kgid" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1474df34, "nfs_write_inode" },
	{ 0xf4ae16ad, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x3b62b283, "rpc_wake_up_first" },
	{ 0xba691e3c, "alloc_nfs_open_context" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9044a4ad, "vfs_parse_fs_param" },
	{ 0x71f4d5c9, "nfs_path" },
	{ 0xd57b337d, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7a371d54, "nfs_create_rpc_client" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x571a9d51, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd2442f68, "rpc_sleep_on_timeout" },
	{ 0xbb398866, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe21023d, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x46de8d84, "rpc_call_start" },
	{ 0xe0af1a91, "xprt_setup_backchannel" },
	{ 0xac3c840b, "bpf_trace_run1" },
	{ 0x68c7fd34, "svc_create" },
	{ 0xcaa04a66, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x25280eb8, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xe7bfdd5c, "rpc_call_sync" },
	{ 0x54cee657, "from_kuid" },
	{ 0x3b7bc99f, "rpc_put_task_async" },
	{ 0x34bd0bba, "rpc_prepare_reply_pages" },
	{ 0xd35764a8, "rpc_queue_upcall" },
	{ 0xf85a71ee, "nfs_free_server" },
	{ 0x65f19492, "fc_mount" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0x6a2a8dcc, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x1e7b10fb, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9f4fd220, "nfs4_fs_type" },
	{ 0x1fbc2a0d, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x7a93b9d6, "rpc_delay" },
	{ 0xf0b51199, "nfs_flock" },
	{ 0x43083cad, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc121077c, "__list_lru_init" },
	{ 0x87a3b16f, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa6eb06d9, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x52bfe9e0, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x78a4028b, "rpc_exit" },
	{ 0x57dbc46f, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x95829d0f, "__kmem_cache_create_args" },
	{ 0x2c8d8de4, "rpc_remove_pipe_dir_object" },
	{ 0x73e4702e, "nfs_may_open" },
	{ 0x402a23d3, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x4fb64901, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x83367ff6, "xdr_reserve_space" },
	{ 0xba76f1aa, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed21fc61, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9f1347cc, "nfs_rmdir" },
	{ 0x7de64e61, "bpf_trace_run3" },
	{ 0xee36db91, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdc735ce9, "nfs_filemap_write_and_wait_range" },
	{ 0x34f01893, "rpc_mkpipe_dentry" },
	{ 0x8ad5ce03, "alloc_file_pseudo" },
	{ 0x363bbba3, "rpc_mkpipe_data" },
	{ 0x6a11062, "rpc_add_pipe_dir_object" },
	{ 0x4096975f, "igrab" },
	{ 0x2690d44c, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4369035f, "nfs_async_iocounter_wait" },
	{ 0x36982d04, "nfs_file_read" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x477b9f47, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xefa37119, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x844987a5, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xefb0e0fe, "nfs_setattr_update_inode" },
	{ 0x2e1316a7, "nfs_instantiate" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0xe475373b, "rpc_uaddr2sockaddr" },
	{ 0xcad1df30, "user_read" },
	{ 0x554f3091, "rpc_restart_call" },
	{ 0xa7ee1a22, "request_key_tag" },
	{ 0x651bdfe0, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x56ba0efb, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x5f7fc844, "svc_xprt_destroy_all" },
	{ 0x86201af4, "generic_key_instantiate" },
	{ 0x816acacf, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0xd53ba9ba, "nfs_link" },
	{ 0xdc1d3f03, "__folio_put" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb164ef44, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x9a8c67fa, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfeab5338, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd4de725c, "xdr_stream_move_subsegment" },
	{ 0xf4641905, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x749a3364, "nfs_post_op_update_inode_force_wcc" },
	{ 0x47f7be89, "nfs_pgheader_init" },
	{ 0xaa2d381, "put_nfs_open_context" },
	{ 0x148479b9, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc72f82dd, "nfs_show_devname" },
	{ 0x485447ca, "nfs_permission" },
	{ 0x560890ee, "nfs_initiate_commit" },
	{ 0x59102a6d, "truncate_inode_pages_range" },
	{ 0xcbd612b1, "__put_user_ns" },
	{ 0x948d21e0, "alloc_pages_noprof" },
	{ 0xf5493858, "cred_fscmp" },
	{ 0x8b54991f, "rpc_unlink" },
	{ 0x5a6e5c7c, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xe04fc852, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1548ee05, "node_data" },
	{ 0x76b2a3e7, "nfs_probe_server" },
	{ 0xa71d836, "nfs_setsecurity" },
	{ 0xfe704c7c, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x34f0c3de, "rpc_clnt_test_and_add_xprt" },
	{ 0x6197be85, "file_ra_state_init" },
	{ 0xb98ae3d4, "nfs_force_lookup_revalidate" },
	{ 0x2a52c3c2, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4f85af6b, "rpc_clnt_add_xprt" },
	{ 0xe5505f71, "dget_parent" },
	{ 0xe8da3277, "from_kuid_munged" },
	{ 0x93505e44, "prepare_kernel_cred" },
	{ 0x881f2a7a, "nfs_alloc_server" },
	{ 0x7421cbd4, "rpc_call_async" },
	{ 0xb6ac40a8, "security_dentry_init_security" },
	{ 0xdf7fa7ad, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x7da0c7b9, "nfs_server_insert_lists" },
	{ 0xbe4b98ac, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xa9265cd, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x3f92a687, "rpc_init_pipe_dir_object" },
	{ 0xec80f5f9, "bpf_trace_run7" },
	{ 0xd855c827, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xcf0932f6, "nfs_init_server_rpcclient" },
	{ 0x25e8c87f, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xbd78ad2c, "rpc_set_connect_timeout" },
	{ 0x27ad33e, "rpcauth_create" },
	{ 0xfe03adaf, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xdc4050e7, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x9a56f972, "svc_xprt_create" },
	{ 0x1ce1b261, "nfs42_ssc_register" },
	{ 0x235b7ac5, "rpc_wait_for_completion_task" },
	{ 0x8a8a0088, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc94aec95, "rpc_num_bc_slots" },
	{ 0xa7518e60, "nfs_alloc_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x941d83e, "security_inode_listsecurity" },
	{ 0x12b9027e, "nfs_fhget" },
	{ 0x4620d8f1, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2b200c68, "locks_copy_lock" },
	{ 0x3e3623c4, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x747d4963, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfa415cb2, "nfs_set_verifier" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x1f47123f, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc00ec649, "svc_generic_rpcbind_set" },
	{ 0xcab41f3c, "nfs_clone_server" },
	{ 0x4fa9e5c, "nfs_access_add_cache" },
	{ 0x4379101c, "filemap_fdatawrite" },
	{ 0x390f343f, "nfs_show_stats" },
	{ 0x99c31de6, "nfs_server_remove_lists" },
	{ 0xbd03b84c, "shrinker_alloc" },
	{ 0xecef0a38, "nfs42_ssc_unregister" },
	{ 0x1109818, "generic_listxattr" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0x5691209a, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6c72708b, "nfs_writeback_update_inode" },
	{ 0x789d13cb, "clear_inode" },
	{ 0xaaaa54d3, "inode_to_bdi" },
	{ 0x5bfd6ab2, "bpf_trace_run4" },
	{ 0xb7ac0cba, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9c3fa204, "param_ops_uint" },
	{ 0xdeda795a, "user_revoke" },
	{ 0xa990379, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x18144f76, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x5ba27818, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x334898d, "rpc_clnt_probe_trunked_xprts" },
	{ 0x9f09557b, "nfs_pageio_reset_read_mds" },
	{ 0x9191c064, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x210c9a45, "rpc_shutdown_client" },
	{ 0x43c21507, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x66f5fc3c, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x11e0f495, "nfs_free_inode" },
	{ 0x286a2338, "nfs_access_zap_cache" },
	{ 0xe01bf275, "nfs_sb_deactive" },
	{ 0xf407955, "nfs_wb_all" },
	{ 0x6fdee3b9, "__break_lease" },
	{ 0x520c243e, "nfs_pageio_init_write" },
	{ 0xde51d063, "svc_recv" },
	{ 0x5830138e, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1f55a4cb, "xdr_inline_decode" },
	{ 0xb5e3de3, "nfs_pageio_init_read" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0x817c4179, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x987f1a86, "nfs_init_commit" },
	{ 0xc48e67c6, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf0fd2e65, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x920f460f, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x87ca931e, "nfs_mknod" },
	{ 0xed145c8f, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xafbb7dec, "nfs4_label_alloc" },
	{ 0x3da83f50, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0xae35b91c, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x2ce23db3, "nfs_lock" },
	{ 0xde46dacc, "unregister_key_type" },
	{ 0x309dbfc8, "nfs_client_init_is_complete" },
	{ 0x2eb13b2a, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xabbf59ff, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x582a0d9a, "ihold" },
	{ 0x738670f5, "truncate_pagecache_range" },
	{ 0xf4900c22, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x5276fcc4, "invalidate_inode_pages2_range" },
	{ 0xed2c3fce, "nfs_post_op_update_inode" },
	{ 0x66c9d279, "svc_exit_thread" },
	{ 0x9613fe92, "iput" },
	{ 0x6e924d45, "xdr_set_pagelen" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x16168438, "nfs_pgio_header_free" },
	{ 0xbd87f01e, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x342564c5, "logfc" },
	{ 0x95796b6e, "nfs_pgio_header_alloc" },
	{ 0x700947aa, "iter_file_splice_write" },
	{ 0xa2845e2c, "rpc_pton" },
	{ 0xaf9ec307, "nfs_sb_active" },
	{ 0xe64d769, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xa6b31bda, "rpc_wake_up_queued_task" },
	{ 0x92368f7a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x726835d2, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x5cc7c0a2, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x55500c5b, "_copy_from_pages" },
	{ 0x56a7a580, "__module_get" },
	{ 0x4893fa57, "rpc_task_release_transport" },
	{ 0x4e75aba4, "xdr_page_pos" },
	{ 0x2ff29c76, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x56bcf50e, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9c6e6aa7, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x16759e84, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x23470ad1, "register_key_type" },
	{ 0xf91c13ef, "rpc_sleep_on" },
	{ 0x6aaf3ef9, "rpc_run_task" },
	{ 0xfda2eae3, "nfs_pageio_resend" },
	{ 0xce9c8c97, "keyring_alloc" },
	{ 0x8d092718, "vfs_setpos" },
	{ 0xf969a20c, "nfs_create" },
	{ 0x74a52e1a, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x633e92d8, "__put_cred" },
	{ 0x2d90f16, "nfs_update_delegated_mtime" },
	{ 0x2601e3e0, "nfs_statfs" },
	{ 0x64467d20, "wake_up_process" },
	{ 0x1384cec, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xda56124f, "splice_file_range" },
	{ 0xe6ea54ac, "rpc_max_bc_payload" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x1e6516c0, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9a44f4e0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe135c117, "nfs_mkdir" },
	{ 0x8b42eef4, "nfs_revalidate_inode" },
	{ 0xcb3e1890, "inode_newsize_ok" },
	{ 0x4c98f6e2, "nfs_file_mmap" },
	{ 0x2b5fb62b, "nfs_get_lock_context" },
	{ 0x1601c8df, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xc0f1d65e, "nfs_set_cache_invalid" },
	{ 0x4283aba5, "rpc_release_client" },
	{ 0x2ec939b3, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2299e7a6, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6925a4de, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0xeec062a2, "nfs_generic_pgio" },
	{ 0xc0352b42, "make_kuid" },
	{ 0xde4a9435, "truncate_inode_pages_final" },
	{ 0x7bd80033, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x13bd534b, "xprt_destroy_backchannel" },
	{ 0x9715b5d4, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xf070d77e, "nfs_scan_commit_list" },
	{ 0xa37c28f8, "xdr_stream_decode_string_dup" },
	{ 0x637ce738, "nfs_commit_inode" },
	{ 0xa8cbb6fa, "shrinker_register" },
	{ 0x6cf56826, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xafa9e30e, "rpc_destroy_pipe_data" },
	{ 0xd613fc28, "nfs_get_client" },
	{ 0xe41c46a2, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xf1309733, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb243a13d, "nfs_atomic_open" },
	{ 0xace28bcf, "rpc_pipe_generic_upcall" },
	{ 0x5575d887, "nfs_file_fsync" },
	{ 0x968b9681, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe6fbde11, "mntput" },
	{ 0xe2e9e58e, "nfs_put_lock_context" },
	{ 0x5f81b895, "nfs_rename" },
	{ 0x79e51f0c, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x504725fd, "nfs_sysfs_link_rpc_client" },
	{ 0x5e91345c, "nfs_put_client" },
	{ 0x2a7dc5da, "nfs_show_options" },
	{ 0x6c8712ba, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x953ba37f, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x13277376, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb73f9a42, "get_nfs_open_context" },
	{ 0xf97345cc, "perf_trace_run_bpf_submit" },
	{ 0xec5280f4, "nfs_clear_verifier_delegated" },
	{ 0x4b9a294a, "nfs_sysfs_add_server" },
	{ 0xe87b165a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x12fa4c49, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xa683c19b, "nfs_do_submount" },
	{ 0x10ecc387, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x557ee134, "request_key_with_auxdata" },
	{ 0xbe95a884, "rpc_clone_client_set_auth" },
	{ 0x9322a5a7, "rpc_clone_client" },
	{ 0x7b9bbccb, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x173b8c89, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x198e48df, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x494d55e9, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f6a1f38, "put_fs_context" },
	{ 0x296f1fef, "nfs_retry_commit" },
	{ 0x9763af6a, "nfs4_dentry_operations" },
	{ 0xf44e07c5, "__module_put_and_kthread_exit" },
	{ 0x87874ffb, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x621263e5, "nfs_client_for_each_server" },
	{ 0xae7acaee, "nfs_clear_inode" },
	{ 0x4f60f4a9, "rpc_sleep_on_priority" },
	{ 0xe7cabd26, "nfs_invalidate_atime" },
	{ 0x7685e137, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x6486081, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x1c120bf4, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbb22ff9e, "nfs_pageio_reset_write_mds" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0x2e77b0ff, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xe81d1822, "xdr_stream_subsegment" },
	{ 0x5034cd61, "nfs_zap_acl_cache" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "F2FD4F42B273A9AA1421314");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
