#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xe83b9062, "");
SYMBOL_CRC(is_hsr_master, 0x38f180c1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16a8ff75, "genlmsg_put" },
	{ 0xd60c1cc2, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x402ade5c, "dev_set_promiscuity" },
	{ 0xc2fef6ed, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x38c14dfb, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x948ce974, "unregister_netdevice_queue" },
	{ 0x2160590e, "netlink_ack" },
	{ 0xadfdfd74, "__pskb_copy_fclone" },
	{ 0xcd78e095, "dev_uc_unsync" },
	{ 0x225a8fe8, "ether_setup" },
	{ 0x15b63963, "netlink_broadcast_filtered" },
	{ 0x89da407f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a304a5e, "netdev_upper_dev_link" },
	{ 0xa9e7ecd7, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xef810979, "netdev_rx_handler_unregister" },
	{ 0x3bf6c90c, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x37eb4da2, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb8e609cb, "skb_copy_expand" },
	{ 0x60eec6fb, "__dev_get_by_index" },
	{ 0x1d96f6a7, "rtnl_link_unregister" },
	{ 0xd03eb43e, "init_net" },
	{ 0x78ce4bf3, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0xde972a23, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x83bbf9b7, "dev_get_by_index_rcu" },
	{ 0x1e38031f, "netdev_printk" },
	{ 0x118936d2, "skb_push" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0xfb3e3d80, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xfaff7148, "netdev_set_operstate" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda04f39e, "__pskb_pull_tail" },
	{ 0xdd4db44b, "netif_rx" },
	{ 0xae348f45, "__netdev_alloc_skb" },
	{ 0x91549e8d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x85bb2849, "seq_read" },
	{ 0x8c89ec8a, "debugfs_rename" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0x3976e223, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfcd630e1, "call_netdevice_notifiers" },
	{ 0xf04c0a5a, "dev_set_allmulti" },
	{ 0x83eab0fb, "seq_write" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a71e90f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x66454354, "seq_printf" },
	{ 0x6235d82e, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb1af7490, "netif_carrier_on" },
	{ 0xef12a086, "netdev_rx_handler_register" },
	{ 0xd4496f5b, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcb3870d9, "genl_unregister_family" },
	{ 0x914bb509, "dev_disable_lro" },
	{ 0xa63370d7, "dev_kfree_skb_any_reason" },
	{ 0xb80a8a8c, "single_open" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0xdcc87137, "dev_mc_unsync" },
	{ 0x9ad0d4f0, "genl_register_family" },
	{ 0xa8857674, "netdev_core_stats_inc" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x5903ded8, "netdev_info" },
	{ 0x2860238d, "dev_mc_sync_multiple" },
	{ 0x88f1cde6, "register_netdevice" },
	{ 0xaf4e747, "dev_set_mtu" },
	{ 0x5b498d63, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x3fbbcf05, "eth_header" },
	{ 0xd865579f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xeaf2aebe, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa1d1b9cc, "rtnl_link_register" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EFF36E2E2344D3A6B44785C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
