#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x4c4533c0, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xe40d4650, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xe8607ddc, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x503005e8, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x1c3ba5da, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x08fb1dfa, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x9d50b53c, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xfd5aff99, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x2ea852b4, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xd055cd6d, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xc495754d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5acf2020, "register_pernet_subsys" },
	{ 0xf578cfa5, "unregister_pernet_subsys" },
	{ 0xfade9f3a, "nf_register_net_hooks" },
	{ 0x66454354, "seq_printf" },
	{ 0x83eab0fb, "seq_write" },
	{ 0x49a00359, "nf_unregister_net_hooks" },
	{ 0xed72ef85, "skb_ensure_writable" },
	{ 0xbad433bb, "inet_proto_csum_replace4" },
	{ 0x7835d8d, "ip_route_me_harder" },
	{ 0x24f2b134, "ip_local_out" },
	{ 0x16845d46, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x1f72e040, "security_skb_classify_flow" },
	{ 0x9a8673a4, "__nf_ip6_route" },
	{ 0x9aa0d515, "xfrm_lookup" },
	{ 0xfd763232, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f17d8d6, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x660ac86c, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xe4b5a2e5, "nf_ct_tmpl_alloc" },
	{ 0x50e22db2, "nf_ct_ext_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x1fab74f2, "proc_create_net_data" },
	{ 0x976de9f, "nf_ct_tmpl_free" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0x37eb4da2, "__alloc_skb" },
	{ 0xd865579f, "skb_put" },
	{ 0x2eed7370, "ipv6_skip_exthdr" },
	{ 0x19e7bb02, "nf_ct_seqadj_init" },
	{ 0x807bbfc5, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "99500728F5B57851ADBDFD3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
