#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x9f6ed25d, "tcf_unregister_action" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x91549e8d, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9f6fd4b6, "flow_offload_lookup" },
	{ 0xd03eb43e, "init_net" },
	{ 0x2b3c6745, "flow_offload_refresh" },
	{ 0x9368f637, "nf_ct_acct_add" },
	{ 0xda04f39e, "__pskb_pull_tail" },
	{ 0xbb7f9e34, "flow_offload_teardown" },
	{ 0x6ec446c, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x495a0c34, "nf_conntrack_helper_put" },
	{ 0x67a3c022, "nf_connlabels_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x4d20907e, "nf_nat_helper_put" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd2b274cd, "tcf_idr_check_alloc" },
	{ 0x8142b16b, "tcf_action_check_ctrlact" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x63a92b10, "nf_flow_table_init" },
	{ 0x56a7a580, "__module_get" },
	{ 0x9ad79dab, "tcf_chain_put_by_act" },
	{ 0x143eb767, "tcf_idr_release" },
	{ 0xb3d0c8c, "tcf_idr_create_from_flags" },
	{ 0xe7a7640f, "tcf_idr_cleanup" },
	{ 0xb5f42247, "nf_connlabels_get" },
	{ 0xe4b5a2e5, "nf_ct_tmpl_alloc" },
	{ 0xa844a57c, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc166a857, "tcf_action_set_ctrlact" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b731639, "skb_pull_rcsum" },
	{ 0xd5955c53, "ipv6_find_hdr" },
	{ 0x40fbe77, "nf_ct_handle_fragments" },
	{ 0xfef48e68, "nf_ct_skb_network_trim" },
	{ 0xf1088027, "nf_conntrack_in" },
	{ 0x2f17d8d6, "skb_copy_bits" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x118936d2, "skb_push" },
	{ 0xe8583c1, "nf_ct_deliver_cached_events" },
	{ 0x60f37e9e, "nf_ct_nat" },
	{ 0x75364164, "nf_ct_helper" },
	{ 0xe848e7b2, "nf_connlabels_replace" },
	{ 0x5a4703ed, "flow_offload_alloc" },
	{ 0xc3efa4b1, "flow_offload_add" },
	{ 0x24674e7a, "flow_offload_free" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb40d9539, "nf_ct_delete" },
	{ 0x50e22db2, "nf_ct_ext_add" },
	{ 0x5da1dbbd, "__nf_ct_try_assign_helper" },
	{ 0xa7ac688c, "__nf_conntrack_confirm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ce5cf5, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x71db3d26, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfafc2ad4, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x968b9681, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8d304f20, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xece400a5, "tcf_register_action" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "306D0FF4094D85307E5DE29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
