#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xa72422fe, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xcf099687, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x1258451d, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xe101c9c4, "");
SYMBOL_CRC(gss_mech_put, 0x08772d8a, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xa31c19ed, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x3a8d5d64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe97f4ce5, "qword_get" },
	{ 0x5284e624, "rpcauth_init_credcache" },
	{ 0x86abb5f4, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xd69751cc, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0xd16630, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd2442f68, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4384e1e, "rpc_create" },
	{ 0xac3c840b, "bpf_trace_run1" },
	{ 0xe7bfdd5c, "rpc_call_sync" },
	{ 0x54cee657, "from_kuid" },
	{ 0xf578cfa5, "unregister_pernet_subsys" },
	{ 0xd35764a8, "rpc_queue_upcall" },
	{ 0x7b4c059, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x61db1a50, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbe97b3e1, "svcauth_unix_set_client" },
	{ 0xaaf362b5, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x57dbc46f, "make_kgid" },
	{ 0x2c8d8de4, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x83367ff6, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc35ce90f, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7de64e61, "bpf_trace_run3" },
	{ 0x7e0e080, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x34f01893, "rpc_mkpipe_dentry" },
	{ 0x363bbba3, "rpc_mkpipe_data" },
	{ 0xcede542f, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x4d4a8c79, "cache_register_net" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2e56e426, "xdr_inline_pages" },
	{ 0xdc1d3f03, "__folio_put" },
	{ 0x660ac86c, "remove_proc_entry" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xf4641905, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x948d21e0, "alloc_pages_noprof" },
	{ 0x8b54991f, "rpc_unlink" },
	{ 0xea21dd8d, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xe8da3277, "from_kuid_munged" },
	{ 0x92543488, "rpcauth_init_cred" },
	{ 0xcc2c190f, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9a8ad5f4, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x3f92a687, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xfe03adaf, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xc4251ba9, "sunrpc_cache_update" },
	{ 0x3dc345ed, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8687fe1e, "auth_domain_put" },
	{ 0x51907b40, "rpcauth_unwrap_resp_decode" },
	{ 0x18925e8, "rpcauth_register" },
	{ 0x1f47123f, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4b7bc487, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x458042e1, "xdr_buf_from_iov" },
	{ 0x5bfd6ab2, "bpf_trace_run4" },
	{ 0x21e8d429, "xdr_stream_decode_opaque_auth" },
	{ 0x9c3fa204, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9191c064, "xdr_write_pages" },
	{ 0x210c9a45, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x13b8e328, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1f55a4cb, "xdr_inline_decode" },
	{ 0xb9c6338, "cache_create_net" },
	{ 0x990c1f32, "rpcauth_destroy_credcache" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xf0fd2e65, "bpf_trace_run6" },
	{ 0x920f460f, "rpc_net_ns" },
	{ 0xfaf43522, "read_bytes_from_xdr_buf" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x41e906b8, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xde8e5772, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x92368f7a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x81844fc, "xdr_truncate_decode" },
	{ 0x8db682b3, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd8e8df1e, "__xdr_commit_encode" },
	{ 0x56a7a580, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf91c13ef, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x633e92d8, "__put_cred" },
	{ 0x5acf2020, "register_pernet_subsys" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc17f43d5, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x4283aba5, "rpc_release_client" },
	{ 0x99824e, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x28a35d0a, "svc_auth_register" },
	{ 0xf8861af3, "xdr_stream_encode_opaque_auth" },
	{ 0xc0352b42, "make_kuid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xafa9e30e, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe41c46a2, "__free_pages" },
	{ 0xace28bcf, "rpc_pipe_generic_upcall" },
	{ 0x968b9681, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xbc73a170, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5b0b4e17, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf97345cc, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5781ff82, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
