#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt712_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt722_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x87fa0818, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0xc93b7ded, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0xd8f49d13, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x4f57d29b, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0x27e0e8bf, "");
SYMBOL_CRC(asoc_sdw_startup, 0x1ead2a2d, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x1b1daa52, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x20b2edf6, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x97a9210a, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0x3a934017, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0x749a1982, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0x4413743a, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0xe14e6752, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x59be36ac, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0xd550e2ba, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0x159a6c36, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0xaa7e77cf, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0xb9d9d7ef, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x0b2c3ec0, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0xfd260c98, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0xb021a8b3, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x8ea21713, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x072a58ab, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0xcba6adcc, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0x217faf73, "");
SYMBOL_CRC(asoc_sdw_rt712_spk_rtd_init, 0x4747d514, "");
SYMBOL_CRC(asoc_sdw_rt722_spk_rtd_init, 0x1d935998, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0xee342f2a, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x69af12a3, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x638fd501, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x4301b240, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0xcc6f2264, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0x5a3c0078, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0xcb1a8686, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0xd62aa594, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0x18fdfcdd, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0xb07274cc, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0xbe9f6423, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0x88001f75, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xc85f3fd7, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0x412199c1, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x6b15fa93, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0x2c2b5f54, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0x8d3a2c05, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0x6154bf57, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x2dac8d4a, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x7a9e6f4e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0x7faaf99f, "snd_soc_dai_set_tdm_slot" },
	{ 0x59b46bf0, "snd_soc_dapm_enable_pin" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2d3411be, "snd_soc_dapm_disable_pin" },
	{ 0xbf5c343e, "snd_soc_component_set_sysclk" },
	{ 0x9d0fee1a, "snd_soc_dai_set_sysclk" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x312b1835, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xacb28fa, "snd_soc_component_set_jack" },
	{ 0xb170b0a1, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1c5d1e8, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x73a171f, "_dev_info" },
	{ 0x167fa66c, "fwnode_create_software_node" },
	{ 0xfb265e65, "snd_soc_dapm_get_pin_switch" },
	{ 0x4cde88bf, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf7196435, "_dev_err" },
	{ 0xd22cacc3, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0x71891d59, "sdw_deprepare_stream" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0x469acc95, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1f96b4d8, "device_remove_software_node" },
	{ 0xd0924628, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0c1e469, "devm_kasprintf" },
	{ 0xd31c961c, "snd_soc_card_jack_new_pins" },
	{ 0x76959532, "snd_soc_dai_set_pll" },
	{ 0xa0059f1f, "snd_soc_dapm_new_controls" },
	{ 0xbbec2c2e, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x970a7631, "snd_soc_dapm_put_pin_switch" },
	{ 0xb236955d, "device_match_name" },
	{ 0x1f01bffe, "snd_soc_dapm_info_pin_switch" },
	{ 0x4485fe83, "snd_soc_add_card_controls" },
	{ 0x86471a78, "device_add_software_node" },
	{ 0x16d1706b, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xf938a6d6, "sdw_bus_type" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0x766af304, "to_software_node" },
	{ 0xc31fcd66, "snd_soc_limit_volume" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "F86405E03CB59B47E7913A4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
