#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x39ec5add, "");
SYMBOL_CRC(cl_dsp_init, 0xe7b01347, "");
SYMBOL_CRC(hda_cl_trigger, 0x73f3bbbf, "");
SYMBOL_CRC(hda_cl_cleanup, 0xf4924d08, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x748f5087, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0xaad2036f, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x5654ef83, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0x01159b18, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0xff19cedf, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x6a5fa981, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0xf23b30b7, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xeff4004e, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x9ec0a316, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0x043b0ceb, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0xa8545157, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x9d1a2f2d, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x4ff7fe2b, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x7a879b19, "");
SYMBOL_CRC(hda_get_interface_mask, 0x2e7baebd, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0x71c58bc1, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x05dab3a6, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0xc2ecb7dc, "");
SYMBOL_CRC(hda_dsp_core_run, 0x8f21ba15, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x123302d5, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x4165fff1, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x6e97905c, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x1424d548, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x7efd3f08, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x105da091, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0x49d0082e, "");
SYMBOL_CRC(hda_dsp_resume, 0xb04b0501, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x4adbb3d7, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x9e799a1c, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x80cca791, "");
SYMBOL_CRC(hda_dsp_suspend, 0xacc5e390, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0x760b15e2, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x33a8d040, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0x49f0ef04, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0x7d16fd07, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x6540bed8, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x23e725b8, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x289a4d6f, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0xc0b10293, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0xaf8db593, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x33af64c2, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0xe7649920, "");
SYMBOL_CRC(hda_dsp_get_state, 0xf8aebfad, "");
SYMBOL_CRC(hda_dsp_dump, 0x585ef589, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0xa8be61cd, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x9850b660, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0x9032efbf, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x5ec9df3d, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x84adcfae, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0x0a85699f, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x433cf2b9, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0x6f9c3d7f, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0x85a080fc, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0x14edf26a, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0x356e0809, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0x69c80e6d, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x42b92499, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x947b5802, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0xdc575915, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x979df989, "");
SYMBOL_CRC(hda_ipc_msg_data, 0x319eb2c9, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0x8ff49c4c, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x41490df4, "");
SYMBOL_CRC(hda_check_ipc_irq, 0xcbf710f2, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0xa11cd17e, "");
SYMBOL_CRC(hda_ipc_dump, 0xa81dfbce, "");
SYMBOL_CRC(hda_ipc4_dump, 0x6410a7b1, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x4159a350, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x15daed66, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0xf353d1a8, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xf043615b, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0xac5212d0, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0xcd20f0ef, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0x994d5785, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x3ccdb708, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0x6f4d918c, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x958844fc, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0xb27deaa9, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0xb33b37fe, "");
SYMBOL_CRC(hda_dai_config, 0xb64d4daa, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0xa0f4b6af, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0xe24dc933, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0xd1dc0992, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xf2659261, "");
SYMBOL_CRC(hda_ops_free, 0xad6cc900, "");
SYMBOL_CRC(skl_dai, 0x3e90d138, "");
SYMBOL_CRC(sof_hda_bus_init, 0x9152509d, "");
SYMBOL_CRC(sof_hda_bus_exit, 0xe1d824dc, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x135cd489, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x01a1a448, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x586641de, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0xca2da0b0, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0x4b2d17ed, "");
SYMBOL_CRC(hda_probes_unregister, 0x2a37a816, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf59a8ff1, "snd_sgbuf_get_addr" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0x9552aec9, "snd_sgbuf_get_chunk_size" },
	{ 0x25403978, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x3fab83bc, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb239361a, "hda_codec_resume_cmd_io" },
	{ 0x63f9ceee, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x38abaaea, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9697331, "snd_hdac_ext_stream_clear" },
	{ 0x7eeac53b, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x73a171f, "_dev_info" },
	{ 0xab793892, "snd_hdac_ext_bus_link_power" },
	{ 0x8695587, "snd_sof_dsp_dbg_dump" },
	{ 0x75bba8cf, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa55addfc, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf97345cc, "perf_trace_run_bpf_submit" },
	{ 0xde5430f1, "devm_kfree" },
	{ 0xf7196435, "_dev_err" },
	{ 0xb1ecd628, "snd_sof_dsp_update_bits_forced" },
	{ 0x12921d91, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2cce6b9b, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd957f6e7, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0xd723895a, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x2126448a, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x342c8568, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb7033e1, "hda_bus_ml_reset_losidv" },
	{ 0xe636cde9, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xee255ef5, "snd_sof_ipc_get_reply" },
	{ 0xd3662774, "snd_sof_dsp_update_bits" },
	{ 0xd319328, "pci_restore_state" },
	{ 0xfc99abb, "snd_sof_pci_update_bits" },
	{ 0xf3251d3c, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x363d4cf2, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xf3ff6314, "_dev_warn" },
	{ 0xf604ceb1, "snd_hdac_display_power" },
	{ 0xc402ea36, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x679b7d5d, "snd_pcm_hw_constraint_integer" },
	{ 0x7de64e61, "bpf_trace_run3" },
	{ 0x95979bb3, "hda_codec_rirb_status_clear" },
	{ 0x96f1c3d2, "hda_codec_suspend_cmd_io" },
	{ 0xd9054346, "snd_sof_ipc_reply" },
	{ 0x760895c4, "hda_codec_init_cmd_io" },
	{ 0xfa634761, "hda_codec_stop_cmd_io" },
	{ 0xee2a0ef9, "hda_codec_detect_mask" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa6b4fb4a, "sof_ipc_tx_message" },
	{ 0x6af4b7dd, "snd_sof_dsp_panic" },
	{ 0x4ff6a1d4, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x3d38b126, "snd_sof_suspend" },
	{ 0xa80d17fb, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x2f122fb0, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x9312a63c, "intel_nhlt_init" },
	{ 0x34a2a323, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x21d502d0, "sof_client_dev_unregister" },
	{ 0xd7eada2b, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe759fa5e, "snd_hdac_ext_stream_reset" },
	{ 0xbe8ccd02, "hdac_bus_eml_get_count" },
	{ 0x59fdc181, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0xd27bad53, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x701638be, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd50390f0, "hda_codec_jack_check" },
	{ 0xb5147e92, "hda_bus_ml_suspend" },
	{ 0x24011135, "pci_save_state" },
	{ 0x18910ac, "sof_block_read" },
	{ 0x95dd65df, "hda_codec_i915_display_power" },
	{ 0x5bfd6ab2, "bpf_trace_run4" },
	{ 0xb526c207, "snd_dma_alloc_dir_pages" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0xf71e322e, "snd_hdac_bus_send_cmd" },
	{ 0x33a2f8d3, "hda_bus_ml_resume" },
	{ 0x27e98d02, "snd_hdac_bus_get_response" },
	{ 0x8fd0b722, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0x4019834e, "hdac_bus_eml_sdw_get_hlink" },
	{ 0xb558874f, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0xe3ec3499, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x13968031, "snd_pcm_hw_constraint_minmax" },
	{ 0xe4cb0993, "hda_codec_jack_wake_enable" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc529e33d, "snd_hdac_ext_bus_init" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x7068b7c6, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92368f7a, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "273E254FF928863F47A198F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
