#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0xf89eda79, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x704660eb, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x0b3e58ca, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x86fa4aea, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0xf876d295, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x20b97db4, "");
SYMBOL_CRC(mtl_dsp_dump, 0x6740a239, "");
SYMBOL_CRC(mtl_power_down_dsp, 0xb4ae9a5d, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x04b16e7e, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x29d93b79, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0xebddd014, "");
SYMBOL_CRC(mtl_ipc_dump, 0x76638c96, "");
SYMBOL_CRC(mtl_dsp_core_get, 0xd4621da3, "");
SYMBOL_CRC(mtl_dsp_core_put, 0xc7dd3b8e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x49d0082e, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x135cd489, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xc0adbf9d, "__dynamic_dev_dbg" },
	{ 0xfe7fb770, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa44797a4, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x289a4d6f, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb3aaf47, "hda_pci_intel_probe" },
	{ 0x8695587, "snd_sof_dsp_dbg_dump" },
	{ 0x75bba8cf, "sof_mailbox_write" },
	{ 0xf7196435, "_dev_err" },
	{ 0x1a1c9cff, "debugfs_create_bool" },
	{ 0xb1ecd628, "snd_sof_dsp_update_bits_forced" },
	{ 0x3790428e, "sof_pci_remove" },
	{ 0x47881901, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf2659261, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xee255ef5, "snd_sof_ipc_get_reply" },
	{ 0xd3662774, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x85a080fc, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0xd9054346, "snd_sof_ipc_reply" },
	{ 0x4159a350, "hda_ipc4_tx_is_busy" },
	{ 0x433cf2b9, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0xad6cc900, "hda_ops_free" },
	{ 0x123de4f2, "sof_pci_shutdown" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x38cd429e, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf8aebfad, "hda_dsp_get_state" },
	{ 0x5654ef83, "hda_dsp_ipc4_load_library" },
	{ 0x356e0809, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0xb3b3dd67, "sof_pci_pm" },
	{ 0xf8980bf, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0xbca110a7, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0xedee1a3c, "hda_sdw_check_wakeen_irq_common" },
	{ 0x810118b4, "snd_soc_acpi_intel_arl_machines" },
	{ 0x33a8d040, "hda_dsp_shutdown" },
	{ 0x23e725b8, "hda_sdw_int_enable" },
	{ 0x3c328d0e, "hda_sdw_startup" },
	{ 0x78fda945, "__pci_register_driver" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EA498191FECF50F2A43F14");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
